;*******************************************************************************
;   CODES.ASM -- CCD CLOCKING SEQUENCES & VOLTAGES IN X_MEMORY
;*******************************************************************************
;   SYS=    0=DEFAULT       5=WING_CHIP     10=SITE2K(1amp)     20=LDSS4 (4amp)
;           1=LAB           6=BNC           11=SITE2K(2amp)     21=LDSS2 (2amp)   
;           2=MIKE_BLUE     7=MAGE          12=MITLL            30=IMACS (8amp)
;           3=MIKE_RED      8=WF4K (2amp)   13=WF4K(1amp)       31=IMACSII (8amp)
;           4=SITe          9=PFS4K         14=
;*******************************************************************************
    NOLIST

    IF (SYS==1||SYS==0)                 ; LAB
            ORG     X:TSET              ; TEMP SETPOINT
            DC      $0005BE             ; $682 = - 90 degC
            DC      $0005BE             ; $651 = - 95
            DC      $000000             ; $620 = -100
            DC      $000000             ; $5EF = -105
            DC      $000000             ; $5BE = -110
            DC      $000000             ; $58C = -115
            DC      $000000             ; $55C = -120
            DC      $000000             ; $52B = -125

            ORG     X:VBIAS             ; BIAS VOLTAGES
            DC      (DZ-0040)           ; OFF_A (5 mV/DN)
            DC      (DZ-0000)           ; ADJ_A
            DC      (DZ-1200)           ; OG1_A
            DC      (DZ-1000)           ; OG2_A
            DC      (DZ+0900)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+1500)           ; OFD_A
            DC      (DZ+2100)           ; OD_A
            DC      (DZ-0040)           ; OFF_B (5 mV/DN)
            DC      (DZ-0000)           ; ADJ_B
            DC      (DZ-1200)           ; OG1_B
            DC      (DZ-1000)           ; OG2_B
            DC      (DZ+0900)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+1500)           ; OFD_B
            DC      (DZ+2100)           ; OD_B

            ORG     X:VCLK              ; CLOCK VOLTAGES
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ-1800)           ; RG_A-
            DC      (DZ+0600)           ; RG_A+
            DC      (DZ-1800)           ; RG_B-
            DC      (DZ+0600)           ; RG_B+
            DC      (DZ-1600)           ; SW_A-
            DC      (DZ+0800)           ; SW_A+
            DC      (DZ-1600)           ; SW_B-
            DC      (DZ+0800)           ; SW_B+
            DC      (DZ-1800)           ; TG_A-
            DC      (DZ+0400)           ; TG_A+
            DC      (DZ-1800)           ; TG_B-
            DC      (DZ+0400)           ; TG_B+
            DC      (DZ-1600)           ; S_A-
            DC      (DZ+0800)           ; S_A+
            DC      (DZ-1800)           ; S_B-
            DC      (DZ+0800)           ; S_B+
            DC      (DZ-1800)           ; P1_A-
            DC      (DZ+0400)           ; P1_A+
            DC      (DZ-1800)           ; P2_A-
            DC      (DZ+0400)           ; P2_A+
            DC      (DZ-1800)           ; P3_A-
            DC      (DZ+0400)           ; P3_A+
            DC      (DZ-1800)           ; P1_B-
            DC      (DZ+0400)           ; P1_B+
            DC      (DZ-1800)           ; P2_B-
            DC      (DZ+0400)           ; P2_B+
            DC      (DZ-1800)           ; P3_B-
            DC      (DZ+0400)           ; P3_B+
    ENDIF

    IF (SYS==2)                         ; MIKE-BLUE (E2V CCD44-82)
            ORG     X:TSET              ;
            DC      $0004DE             ; $620 = -100 degC
            DC      $0004DE             ; $5EF = -105
            DC      $000000             ; $5BE = -110
            DC      $000000             ; $58C = -115
            DC      $000000             ; $55C = -120
            DC      $000000             ; $52B = -125
            DC      $000000             ; $4FA = -130
            DC      $000000             ; $4C9 = -135

            ORG     X:VBIAS
            DC      (DZ+0020)           ; OFF_A (5 mV/DN)
            DC      (DZ-0000)           ; ADJ_A
            DC      (DZ-1200)           ; OG1_A
            DC      (DZ-1000)           ; 0G2_A
            DC      (DZ+1000)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+1500)           ; OFD_A
            DC      (DZ+2200)           ; OD_A
            DC      (DZ+0020)           ; OFF_B (5 mV/DN)
            DC      (DZ-0000)           ; ADJ_B
            DC      (DZ-1200)           ; OG1_B
            DC      (DZ-1000)           ; OG2_B
            DC      (DZ+1000)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+1500)           ; OFD_B
            DC      (DZ+2200)           ; OD_B

            ORG     X:VCLK
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ-1800)           ; RG_A-
            DC      (DZ+0600)           ; RG_A+
            DC      (DZ-1800)           ; RG_B-
            DC      (DZ+0600)           ; RG_B+
            DC      (DZ-1600)           ; SW_A-
            DC      (DZ+0800)           ; SW_A+
            DC      (DZ-1600)           ; SW_B-
            DC      (DZ+0800)           ; SW_B+
            DC      (DZ-1800)           ; TG_A-
            DC      (DZ+0400)           ; TG_A+
            DC      (DZ-1800)           ; TG_B-
            DC      (DZ+0400)           ; TG_B+
            DC      (DZ-1600)           ; S_A-
            DC      (DZ+0800)           ; S_A+
            DC      (DZ-1600)           ; S_B-
            DC      (DZ+0800)           ; S_B+
            DC      (DZ-1800)           ; P1_A-
            DC      (DZ+0400)           ; P1_A+
            DC      (DZ-1800)           ; P2_A-
            DC      (DZ+0400)           ; P2_A+
            DC      (DZ-1800)           ; P3_A-
            DC      (DZ+0400)           ; P3_A+
            DC      (DZ-1800)           ; P1_B-
            DC      (DZ+0400)           ; P1_B+
            DC      (DZ-1800)           ; P2_B-
            DC      (DZ+0400)           ; P2_B+
            DC      (DZ-1800)           ; P3_B-
            DC      (DZ+0400)           ; P3_B+
    ENDIF

    IF (SYS==3)                         ; MIKE-RED (E2V CCD44-82)
            ORG     X:TSET              ;
            DC      $00052B             ; $620 = -100 degC
            DC      $00052B             ; $5EF = -105
            DC      $000000             ; $5BE = -110
            DC      $000000             ; $58C = -115
            DC      $000000             ; $55C = -120
            DC      $000000             ; $52B = -125
            DC      $000000             ; $4FA = -130
            DC      $000000             ; $4C9 = -135

            ORG     X:VBIAS
            DC      (DZ+0040)           ; OFF_A (5 mV/DN)
            DC      (DZ-0000)           ; ADJ_A
            DC      (DZ-1200)           ; OG1_A
            DC      (DZ-1000)           ; 0G2_A
            DC      (DZ+0900)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+1500)           ; OFD_A
            DC      (DZ+2100)           ; OD_A
            DC      (DZ+0040)           ; OFF_B (5 mV/DN)
            DC      (DZ-0000)           ; ADJ_B
            DC      (DZ-1200)           ; OG1_B
            DC      (DZ-1000)           ; OG2_B
            DC      (DZ+0900)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+1500)           ; OFD_B
            DC      (DZ+2100)           ; OD_B

            ORG     X:VCLK
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ-1800)           ; RG_A-
            DC      (DZ+0600)           ; RG_A+
            DC      (DZ-1800)           ; RG_B-
            DC      (DZ+0600)           ; RG_B+
            DC      (DZ-1600)           ; SW_A-
            DC      (DZ+0800)           ; SW_A+
            DC      (DZ-1600)           ; SW_B-
            DC      (DZ+0800)           ; SW_B+
            DC      (DZ-1800)           ; TG_A-
            DC      (DZ+0400)           ; TG_A+
            DC      (DZ-1800)           ; TG_B-
            DC      (DZ+0400)           ; TG_B+
            DC      (DZ-1600)           ; S_A-
            DC      (DZ+0800)           ; S_A+
            DC      (DZ-1600)           ; S_B-
            DC      (DZ+0800)           ; S_B+
            DC      (DZ-1800)           ; P1_A-
            DC      (DZ+0400)           ; P1_A+
            DC      (DZ-1800)           ; P2_A-
            DC      (DZ+0400)           ; P2_A+
            DC      (DZ-1800)           ; P3_A-
            DC      (DZ+0400)           ; P3_A+
            DC      (DZ-1800)           ; P1_B-
            DC      (DZ+0400)           ; P1_B+
            DC      (DZ-1800)           ; P2_B-
            DC      (DZ+0400)           ; P2_B+
            DC      (DZ-1800)           ; P3_B-
            DC      (DZ+0400)           ; P3_B+
    ENDIF

    IF (SYS==4)                         ; SITe/MIKE BLUE (SITe ST-002A) was MIKE_RED
            ORG     X:TSET              ;
            DC      $00052B             ; $620 = -100 degC
            DC      $00052B             ; $5EF = -105
            DC      $000000             ; $5BE = -110
            DC      $000000             ; $58C = -115
            DC      $000000             ; $55C = -120
            DC      $000000             ; $52B = -125
            DC      $000000             ; $4FA = -130
            DC      $000000             ; $4C9 = -135

            ORG     X:VBIAS
            DC      (DZ-0000)           ; OFF_A (5 mV/DN)
            DC      (DZ-0148)           ; ADJ_A
            DC      (DZ-0800)           ; OG_A
            DC      (DZ+0000)           ; ABG_A
            DC      (DZ+1350)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+2000)           ; OFD_A
            DC      (DZ+2400)           ; OD_A
            DC      (DZ-0000)           ; OFF_B (5 mV/DN)
            DC      (DZ-0148)           ; ADJ_B
            DC      (DZ-0800)           ; OG_B
            DC      (DZ+0000)           ; ABG_B
            DC      (DZ+1350)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+2000)           ; OFD_B
            DC      (DZ+2500)           ; OD_B

            ORG     X:VCLK
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ-0000)           ; RG_A-
            DC      (DZ+2400)           ; RG_A+
            DC      (DZ-0000)           ; RG_B-
            DC      (DZ+2400)           ; RG_B+
            DC      (DZ-1200)           ; SW_A-
            DC      (DZ+1000)           ; SW_A+
            DC      (DZ-1200)           ; SW_B-
            DC      (DZ+1000)           ; SW_B+
            DC      (DZ-0000)           ; TG_A-
            DC      (DZ+0000)           ; TG_A+
            DC      (DZ-0000)           ; TG_B-
            DC      (DZ+0000)           ; TG_B+
            DC      (DZ-1200)           ; S_A-
            DC      (DZ+1000)           ; S_A+
            DC      (DZ-1200)           ; S_B-
            DC      (DZ+1000)           ; S_B+
            DC      (DZ-1800)           ; P1_A-
            DC      (DZ+0500)           ; P1_A+
            DC      (DZ-1800)           ; P2_A-
            DC      (DZ+0500)           ; P2_A+
            DC      (DZ-1300)           ; P3_A-
            DC      (DZ+1600)           ; P3_A+
            DC      (DZ-1800)           ; P1_B-
            DC      (DZ+0500)           ; P1_B+
            DC      (DZ-1800)           ; P2_B-
            DC      (DZ+0500)           ; P2_B+
            DC      (DZ-1300)           ; P3_B-
            DC      (DZ+1600)           ; P3_B+
    ENDIF

    IF (SYS==5)                         ; WING_CHIP (STA 2560x512)
            ORG     X:TSET              ;
            DC      $000000             ; $682 = - 90 degC
            DC      $000000             ; $651 = - 95
            DC      $000000             ; $620 = -100
            DC      $000000             ; $5EF = -105
            DC      $000000             ; $5BE = -110
            DC      $000000             ; $58C = -115
            DC      $000000             ; $55C = -120
            DC      $000000             ; $52B = -125

            ORG     X:VBIAS
            DC      (DZ+1000)           ; OFF_A (5 mV/DN)
            DC      (DZ-0000)           ; ADJ_A
            DC      (DZ-0000)           ; OG_A
            DC      (DZ+0000)           ; ABG_A
            DC      (DZ+1600)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+0000)           ; OFD_A
            DC      (DZ+2400)           ; OD_A
            DC      (DZ+1000)           ; OFF_B (5 mV/DN)
            DC      (DZ-0200)           ; ADJ_B
            DC      (DZ-0050)           ; OG_B
            DC      (DZ+0000)           ; ABG_B
            DC      (DZ+1600)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+0000)           ; OFD_B
            DC      (DZ+2400)           ; OD_B

            ORG     X:VCLK
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ-1000)           ; RG_A-
            DC      (DZ+1000)           ; RG_A+
            DC      (DZ-1000)           ; RG_B-
            DC      (DZ+1000)           ; RG_B+
            DC      (DZ-1000)           ; SW_A-
            DC      (DZ+1000)           ; SW_A+
            DC      (DZ-1000)           ; SW_B-
            DC      (DZ+1000)           ; SW_B+
            DC      (DZ-0000)           ; TG_A-
            DC      (DZ+0000)           ; TG_A+
            DC      (DZ-0000)           ; TG_B-
            DC      (DZ+0000)           ; TG_B+
            DC      (DZ-1000)           ; S_A-
            DC      (DZ+1000)           ; S_A+
            DC      (DZ-1000)           ; S_B-
            DC      (DZ+1000)           ; S_B+
            DC      (DZ-1600)           ; P1_A-
            DC      (DZ+0400)           ; P1_A+
            DC      (DZ-1600)           ; P2_A-
            DC      (DZ+0400)           ; P2_A+
            DC      (DZ-1600)           ; P3_A-
            DC      (DZ+0400)           ; P3_A+
            DC      (DZ-1600)           ; P1_B-
            DC      (DZ+0400)           ; P1_B+
            DC      (DZ-1600)           ; P2_B-
            DC      (DZ+0400)           ; P2_B+
            DC      (DZ-1600)           ; P3_B-
            DC      (DZ+0400)           ; P3_B+
    ENDIF

    IF (SYS==6)                         ; B&C (E2V CCD42-10)
            ORG     X:TSET              ;
            DC      $000620             ; $682 = - 90 degC
            DC      $000620             ; $651 = - 95
            DC      $000000             ; $620 = -100
            DC      $000000             ; $5EF = -105
            DC      $000000             ; $5BE = -110
            DC      $000000             ; $58C = -115
            DC      $000000             ; $55C = -120
            DC      $000000             ; $52B = -125

            ORG     X:VBIAS
            DC      (DZ-0040)           ; OFF_A (5 mV/DN)
            DC      (DZ-0000)           ; ADJ_A
            DC      (DZ-1500)           ; OG_A=OG1
            DC      (DZ+0000)           ; ABG_A
            DC      (DZ+0750)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+1350)           ; OFD_A=DD
            DC      (DZ+1950)           ; OD_A
            DC      (DZ+0000)           ; OFF_B (5 mV/DN)
            DC      (DZ-0000)           ; ADJ_B
            DC      (DZ-1300)           ; OG_B=OG2
            DC      (DZ+0000)           ; ABG_B
            DC      (DZ+0000)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+0000)           ; OFD_B
            DC      (DZ+0000)           ; OD_B

            ORG     X:VCLK
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ-1900)           ; RG_A-
            DC      (DZ+0300)           ; RG_A+
            DC      (DZ+0000)           ; RG_B-
            DC      (DZ+0000)           ; RG_B+
            DC      (DZ-1900)           ; SW_A-
            DC      (DZ+0300)           ; SW_A+
            DC      (DZ-0000)           ; SW_B-
            DC      (DZ+0000)           ; SW_B+
            DC      (DZ-2000)           ; TG_A- = DG_A-
            DC      (DZ+0000)           ; TG_A+ = DG_A+
            DC      (DZ-0000)           ; TG_B-
            DC      (DZ+0000)           ; TG_B+
            DC      (DZ-1900)           ; S_A-
            DC      (DZ+0300)           ; S_A+
            DC      (DZ-0000)           ; S_B-
            DC      (DZ+0000)           ; S_B+
            DC      (DZ-2000)           ; P1_A-
            DC      (DZ+0300)           ; P1_A+
            DC      (DZ-2000)           ; P2_A-
            DC      (DZ+0300)           ; P2_A+
            DC      (DZ-2000)           ; P3_A-
            DC      (DZ+0300)           ; P3_A+
            DC      (DZ-0000)           ; P1_B-
            DC      (DZ+0000)           ; P1_B+
            DC      (DZ-0000)           ; P2_B-
            DC      (DZ+0000)           ; P2_B+
            DC      (DZ-0000)           ; P3_B-
            DC      (DZ+0000)           ; P3_B+
    ENDIF

    IF (SYS==7)                         ; MAGE (E2V CCD42-20)
            ORG     X:TSET              ;
            DC      $0005BE             ; $682 = - 90 degC
            DC      $0005BE             ; $651 = - 95
            DC      $000000             ; $620 = -100
            DC      $000000             ; $5EF = -105
            DC      $000000             ; $5BE = -110
            DC      $000000             ; $58C = -115
            DC      $000000             ; $55C = -120
            DC      $000000             ; $52B = -125

            ORG     X:VBIAS
            DC      (DZ-0000)           ; OFF_A (5 mV/DN)
            DC      (DZ-0000)           ; ADJ_A
            DC      (DZ-0000)           ; OG_A
            DC      (DZ+0000)           ; ABG_A
            DC      (DZ+0000)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+0000)           ; OFD_A
            DC      (DZ+0000)           ; OD_A
            DC      (DZ-0040)           ; OFF_B (5 mV/DN)
            DC      (DZ-0000)           ; ADJ_B
            DC      (DZ-1200)           ; OG1_B
            DC      (DZ-1000)           ; OG2_B
            DC      (DZ+1000)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+1500)           ; OFD_B
            DC      (DZ+2200)           ; OD_B

            ORG     X:VCLK
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ-0000)           ; RG_A-
            DC      (DZ+0000)           ; RG_A+
            DC      (DZ-1800)           ; RG_B-
            DC      (DZ+0600)           ; RG_B+
            DC      (DZ-0000)           ; SW_A-
            DC      (DZ+0000)           ; SW_A+
            DC      (DZ-1600)           ; SW_B-
            DC      (DZ+0600)           ; SW_B+
            DC      (DZ-0000)           ; TG_A-  DG_A-
            DC      (DZ+0000)           ; TG_A+  DG_A+
            DC      (DZ-1800)           ; TG_B-
            DC      (DZ+0600)           ; TG_B+
            DC      (DZ-0000)           ; S_A-
            DC      (DZ+0000)           ; S_A+
            DC      (DZ-1600)           ; S_B-
            DC      (DZ+0600)           ; S_B+
            DC      (DZ-0000)           ; P1_A-
            DC      (DZ+0000)           ; P1_A+
            DC      (DZ-0000)           ; P2_A-
            DC      (DZ+0000)           ; P2_A+
            DC      (DZ-0000)           ; P3_A-
            DC      (DZ+0000)           ; P3_A+
            DC      (DZ-1800)           ; P1_B-
            DC      (DZ+0600)           ; P1_B+
            DC      (DZ-1800)           ; P2_B-
            DC      (DZ+0600)           ; P2_B+
            DC      (DZ-1800)           ; P3_B-
            DC      (DZ+0600)           ; P3_B+
    ENDIF

    IF (SYS==8||SYS==13)                ; WF4K (STA0500A)
            ORG     X:TSET              ;
            DC      $00058C             ; $682 = - 90 degC
            DC      $00058C             ; $651 = - 95
            DC      $000000             ; $620 = -100
            DC      $000000             ; $5EF = -105
            DC      $000000             ; $5BE = -110
            DC      $000000             ; $58C = -115
            DC      $000000             ; $55C = -120
            DC      $000000             ; $52B = -125

            ORG     X:VBIAS
            DC      (DZ-0002)           ; OFF_A (5 mV/DN)
            DC      (DZ-0110)           ; ADJ_A
            DC      (DZ-0200)           ; OG_A
            DC      (DZ+0000)           ; ABG_A
            DC      (DZ+1500)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+0500)           ; OFD_A
            DC      (DZ+2600)           ; OD_A
            DC      (DZ-0010)           ; OFF_B (5 mV/DN)
            DC      (DZ-0088)           ; ADJ_B
            DC      (DZ-0200)           ; OG_B
            DC      (DZ+0000)           ; ABG_B
            DC      (DZ+1500)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+0000)           ; OFD_B
            DC      (DZ+2600)           ; OD_B

            ORG     X:VCLK
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ-0400)           ; RG_A-
            DC      (DZ+2000)           ; RG_A+
            DC      (DZ-0400)           ; RG_B-
            DC      (DZ+2000)           ; RG_B+
            DC      (DZ-0800)           ; SW_A-
            DC      (DZ+0800)           ; SW_A+
            DC      (DZ-0800)           ; SW_B-
            DC      (DZ+0800)           ; SW_B+
            DC      (DZ-1600)           ; TG_A-
            DC      (DZ+0600)           ; TG_A+
            DC      (DZ-1600)           ; TG_B-
            DC      (DZ+0600)           ; TG_B+
            DC      (DZ-0800)           ; S_A-
            DC      (DZ+0800)           ; S_A+
            DC      (DZ-0800)           ; S_B-
            DC      (DZ+0800)           ; S_B+
            DC      (DZ-1800)           ; P1_A-
            DC      (DZ-0200)           ; P1_A+
            DC      (DZ-1800)           ; P2_A-
            DC      (DZ-0200)           ; P2_A+
            DC      (DZ-2400)           ; P3_A-
            DC      (DZ+0000)           ; P3_A+
            DC      (DZ-1800)           ; P1_B-
            DC      (DZ+0000)           ; P1_B+
            DC      (DZ-1800)           ; P2_B-
            DC      (DZ+0000)           ; P2_B+
            DC      (DZ-1800)           ; P3_B-
            DC      (DZ+0200)           ; P3_B+
    ENDIF

    IF (SYS==9)                         ; PFS4K (STA0500A)
            ORG     X:TSET              ;
            DC      $000620             ; $682 = - 90 degC
            DC      $000620             ; $651 = - 95
            DC      $000000             ; $620 = -100
            DC      $000000             ; $5EF = -105
            DC      $000000             ; $5BE = -110
            DC      $000000             ; $58C = -115
            DC      $000000             ; $55C = -120
            DC      $000000             ; $52B = -125

            ORG     X:VBIAS
            DC      (DZ-0040)           ; OFF_A (5 mV/DN)
            DC      (DZ-0130)           ; ADJ_A
            DC      (DZ-0200)           ; OG_A
            DC      (DZ+0000)           ; ABG_A
            DC      (DZ+1400)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+0000)           ; OFD_A
            DC      (DZ+2500)           ; OD_A
            DC      (DZ-0040)           ; OFF_B (5 mV/DN)
            DC      (DZ-0130)           ; ADJ_B
            DC      (DZ+0600)           ; OG_B
            DC      (DZ+0000)           ; ABG_B
            DC      (DZ+1400)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+0000)           ; OFD_B
            DC      (DZ+2500)           ; OD_B

            ORG     X:VCLK
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ-0400)           ; RG_A-
            DC      (DZ+2000)           ; RG_A+
            DC      (DZ-0400)           ; RG_B-
            DC      (DZ+2000)           ; RG_B+
            DC      (DZ-0800)           ; SW_A-
            DC      (DZ+0800)           ; SW_A+
            DC      (DZ-0800)           ; SW_B-
            DC      (DZ+0800)           ; SW_B+
            DC      (DZ-1500)           ; TG_A-
            DC      (DZ+0600)           ; TG_A+
            DC      (DZ-1500)           ; TG_B-
            DC      (DZ+0600)           ; TG_B+
            DC      (DZ-1400)           ; S_A-
            DC      (DZ+0600)           ; S_A+
            DC      (DZ-1400)           ; S_B-
            DC      (DZ+0600)           ; S_B+
            DC      (DZ-1800)           ; P1_A-
            DC      (DZ+0300)           ; P1_A+
            DC      (DZ-1800)           ; P2_A-
            DC      (DZ+0300)           ; P2_A+
            DC      (DZ-1800)           ; P3_A-
            DC      (DZ+0300)           ; P3_A+
            DC      (DZ-1800)           ; P1_B-
            DC      (DZ+0300)           ; P1_B+
            DC      (DZ-1800)           ; P2_B-
            DC      (DZ+0300)           ; P2_B+
            DC      (DZ-1800)           ; P3_B-
            DC      (DZ+0300)           ; P3_B+
    ENDIF

    IF (SYS==10||SYS==11)               ; SITE2K (SI-424A)
            ORG     X:TSET              ;
            DC      $00058C             ; $682 = - 90 degC
            DC      $00058C             ; $651 = - 95
            DC      $000000             ; $620 = -100
            DC      $000000             ; $5EF = -105
            DC      $000000             ; $5BE = -110
            DC      $000000             ; $58C = -115
            DC      $000000             ; $55C = -120
            DC      $000000             ; $52B = -125

            ORG     X:VBIAS
            DC      (DZ-0040)           ; OFF_A (5 mV/DN)
            DC      (DZ-0220)           ; ADJ_A
            DC      (DZ-0700)           ; OG_A
            DC      (DZ+0000)           ; ABG_A
            DC      (DZ+1300)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+0000)           ; OFD_A
            DC      (DZ+2580)           ; OD_A
            DC      (DZ-0040)           ; OFF_B (5 mV/DN)
            DC      (DZ-0320)           ; ADJ_B
            DC      (DZ-0700)           ; OG_B
            DC      (DZ+0000)           ; ABG_B
            DC      (DZ+1300)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+0000)           ; OFD_B
            DC      (DZ+2580)           ; OD_B

            ORG     X:VCLK
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ-0000)           ; RG_A-
            DC      (DZ+2400)           ; RG_A+
            DC      (DZ-0000)           ; RG_B-
            DC      (DZ+2400)           ; RG_B+
            DC      (DZ-0800)           ; SW_A-
            DC      (DZ+1400)           ; SW_A+
            DC      (DZ-0800)           ; SW_B-
            DC      (DZ+1400)           ; SW_B+
            DC      (DZ-1700)           ; TG_A-
            DC      (DZ+1500)           ; TG_A+
            DC      (DZ-1700)           ; TG_B-
            DC      (DZ+1500)           ; TG_B+
            DC      (DZ-1000)           ; S_A-
            DC      (DZ+1400)           ; S_A+
            DC      (DZ-1000)           ; S_B-
            DC      (DZ+1400)           ; S_B+
            DC      (DZ-1700)           ; P1_A-
            DC      (DZ+0900)           ; P1_A+
            DC      (DZ-1700)           ; P2_A-
            DC      (DZ+0900)           ; P2_A+
            DC      (DZ-1700)           ; P3_A-
            DC      (DZ+1500)           ; P3_A+
            DC      (DZ-1700)           ; P1_B-
            DC      (DZ+0900)           ; P1_B+
            DC      (DZ-1700)           ; P2_B-
            DC      (DZ+0900)           ; P2_B+
            DC      (DZ-1700)           ; P3_B-
            DC      (DZ+1500)           ; P3_B+
    ENDIF

    IF (SYS==12)                        ; MIT/LL (CCID-20) was MIKE_BLUE
            ORG     X:TSET              ;
            DC      $000000             ; $620 = -100 degC
            DC      $0004FA             ; $5EF = -105
            DC      $000000             ; $5BE = -110
            DC      $000000             ; $58C = -115
            DC      $000000             ; $55C = -120
            DC      $000000             ; $52B = -125
            DC      $000000             ; $4FA = -130
            DC      $000000             ; $4C9 = -135

            ORG     X:VBIAS
            DC      (DZ+1000)           ; OFF_A (5 mV/DN)
            DC      (DZ-0000)           ; ADJ_A
            DC      (DZ-0000)           ; OG_A
            DC      (DZ+0000)           ; ABG_A
            DC      (DZ+1200)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+1000)           ; OFD_A
            DC      (DZ+2000)           ; OD_A
            DC      (DZ+1000)           ; OFF_B (5 mV/DN)
            DC      (DZ-0190)           ; ADJ_B (-210)
            DC      (DZ+0800)           ; OG_B
            DC      (DZ+0000)           ; ABG_B
            DC      (DZ+1350)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+1000)           ; OFD_B
            DC      (DZ+2000)           ; OD_B

            ORG     X:VCLK
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ+0600)           ; RG_A-
            DC      (DZ+2000)           ; RG_A+
            DC      (DZ+0600)           ; RG_B-
            DC      (DZ+2000)           ; RG_B+
            DC      (DZ-0400)           ; SW_A-
            DC      (DZ+1600)           ; SW_A+
            DC      (DZ-0400)           ; SW_B-
            DC      (DZ+1600)           ; SW_B+
            DC      (DZ-0000)           ; TG_A-
            DC      (DZ+0000)           ; TG_A+
            DC      (DZ-0000)           ; TG_B-
            DC      (DZ+0000)           ; TG_B+
            DC      (DZ-0400)           ; S_A-
            DC      (DZ+1600)           ; S_A+
            DC      (DZ-0400)           ; S_B-
            DC      (DZ+1600)           ; S_B+
            DC      (DZ-1200)           ; P1_A-
            DC      (DZ+0800)           ; P1_A+
            DC      (DZ-1200)           ; P2_A-
            DC      (DZ+0800)           ; P2_A+
            DC      (DZ-1200)           ; P3_A-
            DC      (DZ+0800)           ; P3_A+
            DC      (DZ-1200)           ; P1_B-
            DC      (DZ+0800)           ; P1_B+
            DC      (DZ-1600)           ; P2_B-
            DC      (DZ+0400)           ; P2_B+
            DC      (DZ-1600)           ; P3_B-
            DC      (DZ+0400)           ; P3_B+
    ENDIF

    IF (SYS==20||SYS==21)               ; LDSS (STA0500A)
            ORG     X:TSET              ;
            DC      $000000             ; $682 = - 90 degC
            DC      $000000             ; $651 = - 95
            DC      $000000             ; $620 = -100
            DC      $0005BE             ; $5EF = -105
            DC      $000000             ; $5BE = -110
            DC      $000000             ; $58C = -115
            DC      $000000             ; $55C = -120
            DC      $000000             ; $52B = -125

            ORG     X:VBIAS
            DC      (DZ+0000)           ; OFF_A (5 mV/DN)
            DC      (DZ-0000)           ; ADJ_A
            DC      (DZ-0200)           ; OG_A
            DC      (DZ+0000)           ; ABG_A
            DC      (DZ+1600)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+0000)           ; OFD_A
            DC      (DZ+2550)           ; OD_A
            DC      (DZ+0000)           ; OFF_B (5 mV/DN)
            DC      (DZ-0000)           ; ADJ_B
            DC      (DZ-0200)           ; OG_B
            DC      (DZ+0000)           ; ABG_B
            DC      (DZ+1600)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+0000)           ; OFD_B
            DC      (DZ+2550)           ; OD_B

            DC      (DZ-0104)           ; OFF_C (5 mV/DN)
            DC      (DZ-0130)           ; ADJ_C
            DC      (DZ-0200)           ; OG_C
            DC      (DZ+0000)           ; ABG_C
            DC      (DZ+1600)           ; RD_C (10 mV/DN)
            DC      (DZ+0000)           ; SP_C
            DC      (DZ+0000)           ; OFD_C
            DC      (DZ+2550)           ; OD_C
            DC      (DZ-0104)           ; OFF_D (5 mV/DN)
            DC      (DZ-0124)           ; ADJ_D
            DC      (DZ-0200)           ; OG_D
            DC      (DZ+0000)           ; ABG_D
            DC      (DZ+1600)           ; RD_D (10 mV/DN)
            DC      (DZ+0000)           ; SP_D
            DC      (DZ+0000)           ; OFD_D
            DC      (DZ+2500)           ; OD_D

            ORG     X:VCLK
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ-0400)           ; RG_A-
            DC      (DZ+1800)           ; RG_A+
            DC      (DZ-0400)           ; RG_B-
            DC      (DZ+1800)           ; RG_B+
            DC      (DZ-0800)           ; SW_A-
            DC      (DZ+0800)           ; SW_A+
            DC      (DZ-0800)           ; SW_B-
            DC      (DZ+0800)           ; SW_B+
            DC      (DZ-1800)           ; TG_A-
            DC      (DZ+0400)           ; TG_A+
            DC      (DZ-1800)           ; TG_B-
            DC      (DZ+0400)           ; TG_B+
            DC      (DZ-0800)           ; S_A-
            DC      (DZ+0800)           ; S_A+
            DC      (DZ-0800)           ; S_B-
            DC      (DZ+0800)           ; S_B+
            DC      (DZ-1600)           ; P1_A-
            DC      (DZ+0400)           ; P1_A+
            DC      (DZ-1600)           ; P2_A-
            DC      (DZ+0400)           ; P2_A+
            DC      (DZ-1900)           ; P3_A-
            DC      (DZ+0400)           ; P3_A+
            DC      (DZ-1600)           ; P1_B-
            DC      (DZ+0400)           ; P1_B+
            DC      (DZ-1600)           ; P2_B-
            DC      (DZ+0400)           ; P2_B+
            DC      (DZ-1900)           ; P3_B-
            DC      (DZ+0400)           ; P3_B+

            DC      (DZ-0000)           ; IPC_C- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_C+
            DC      (DZ-0000)           ; IPC_D-
            DC      (DZ+1000)           ; IPC_D+
            DC      (DZ-0400)           ; RG_C-
            DC      (DZ+1600)           ; RG_C+
            DC      (DZ-0400)           ; RG_D-
            DC      (DZ+1600)           ; RG_D+
            DC      (DZ-0800)           ; SW_C-
            DC      (DZ+0800)           ; SW_C+
            DC      (DZ-0800)           ; SW_D-
            DC      (DZ+0800)           ; SW_D+
            DC      (DZ-1800)           ; TG_C-
            DC      (DZ+0400)           ; TG_C+
            DC      (DZ-1800)           ; TG_D-
            DC      (DZ+0400)           ; TG_D+
            DC      (DZ-0800)           ; S_C-
            DC      (DZ+0800)           ; S_C+
            DC      (DZ-0800)           ; S_D-
            DC      (DZ+0800)           ; S_D+
            DC      (DZ-1800)           ; P1_C-
            DC      (DZ+0400)           ; P1_C+
            DC      (DZ-1800)           ; P2_C-
            DC      (DZ+0400)           ; P2_C+
            DC      (DZ-1500)           ; P3_C-
            DC      (DZ+0700)           ; P3_C+
            DC      (DZ-1800)           ; P1_D-
            DC      (DZ+0400)           ; P1_D+
            DC      (DZ-1800)           ; P2_D-
            DC      (DZ+0400)           ; P2_D+
            DC      (DZ-1500)           ; P3_D-
            DC      (DZ+0700)           ; P3_D+
    ENDIF

    IF (SYS==30)                        ; IMACS (8x SITe ST-002A)
            ORG     X:TSET              ;
            DC      $0005BE             ; $682 = - 90 degC
            DC      $0005BE             ; $651 = - 95
            DC      $0005BE             ; $620 = -100
            DC      $0005BE             ; $5EF = -105
            DC      $0005BE             ; $5BE = -110
            DC      $0005BE             ; $58C = -115
            DC      $0005BE             ; $55C = -120
            DC      $0005BE             ; $52B = -125

            ORG     X:VBIAS
            DC      (DZ-0128)           ; OFF_A (5 mV/DN)
            DC      (DZ-0320)           ; ADJ_A
            DC      (DZ-0800)           ; OG_A
            DC      (DZ+0000)           ; ABG_A
            DC      (DZ+1350)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+2000)           ; OFD_A
            DC      (DZ+2500)           ; OD_A
            DC      (DZ-0102)           ; OFF_B (5 mV/DN)
            DC      (DZ-0296)           ; ADJ_B
            DC      (DZ-0800)           ; OG_B
            DC      (DZ+0000)           ; ABG_B
            DC      (DZ+1350)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+2000)           ; OFD_B
            DC      (DZ+2500)           ; OD_B

            DC      (DZ-0096)           ; OFF_C (5 mV/DN)
            DC      (DZ-0256)           ; ADJ_C
            DC      (DZ-0700)           ; OG_C
            DC      (DZ+0000)           ; ABG_C
            DC      (DZ+1350)           ; RD_C (10 mV/DN)
            DC      (DZ+0000)           ; SP_C
            DC      (DZ+2000)           ; OFD_C
            DC      (DZ+2500)           ; OD_C
            DC      (DZ-0110)           ; OFF_D (5 mV/DN)
            DC      (DZ-0252)           ; ADJ_D
            DC      (DZ-0800)           ; OG_D
            DC      (DZ+0000)           ; ABG_D
            DC      (DZ+1500)           ; RD_D (10 mV/DN)
            DC      (DZ+0000)           ; SP_D
            DC      (DZ+1500)           ; OFD_D
            DC      (DZ+2500)           ; OD_D

            DC      (DZ-0132)           ; OFF_E (5 mV/DN)
            DC      (DZ-0306)           ; ADJ_E
            DC      (DZ-0800)           ; OG_E
            DC      (DZ+0000)           ; ABG_E
            DC      (DZ+1350)           ; RD_E (10 mV/DN)
            DC      (DZ+0000)           ; SP_GE
            DC      (DZ+2000)           ; OFD_E
            DC      (DZ+2500)           ; OD_E
            DC      (DZ-0128)           ; OFF_F (5 mV/DN)
            DC      (DZ-0280)           ; ADJ_F
            DC      (DZ-0800)           ; OG_F
            DC      (DZ+0000)           ; ABG_F
            DC      (DZ+1350)           ; RD_F (10 mV/DN)
            DC      (DZ+0000)           ; SP_F
            DC      (DZ+2000)           ; OFD_F
            DC      (DZ+2500)           ; OD_F

            DC      (DZ-0152)           ; OFF_G (5 mV/DN)
            DC      (DZ-0328)           ; ADJ_G
            DC      (DZ-0800)           ; OG_G
            DC      (DZ+0000)           ; ABG_G
            DC      (DZ+1500)           ; RD_G (10 mV/DN)
            DC      (DZ+0000)           ; SP_G
            DC      (DZ+1500)           ; OFD_G
            DC      (DZ+2500)           ; OD_G
            DC      (DZ-0120)           ; OFF_H (5 mV/DN)
            DC      (DZ-0280)           ; ADJ_H
            DC      (DZ-0800)           ; OG_H
            DC      (DZ+0000)           ; ABG_H
            DC      (DZ+1350)           ; RD_H (10 mV/DN)
            DC      (DZ+0000)           ; SP_H
            DC      (DZ+2000)           ; OFD_H
            DC      (DZ+2500)           ; OD_H

            ORG     X:VCLK
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ-0000)           ; RG_A-
            DC      (DZ+2400)           ; RG_A+
            DC      (DZ-0000)           ; RG_B-
            DC      (DZ+2400)           ; RG_B+
            DC      (DZ-1200)           ; SW_A-
            DC      (DZ+1000)           ; SW_A+
            DC      (DZ-1200)           ; SW_B-
            DC      (DZ+1000)           ; SW_B+
            DC      (DZ-0000)           ; TG_A-
            DC      (DZ+0000)           ; TG_A+
            DC      (DZ-0000)           ; TG_B-
            DC      (DZ+0000)           ; TG_B+
            DC      (DZ-1300)           ; S_A-
            DC      (DZ+1000)           ; S_A+
            DC      (DZ-1400)           ; S_B-
            DC      (DZ+1000)           ; S_B+
            DC      (DZ-1800)           ; P1_A-
            DC      (DZ+0500)           ; P1_A+
            DC      (DZ-1800)           ; P2_A-
            DC      (DZ+0500)           ; P2_A+
            DC      (DZ-1500)           ; P3_A-
            DC      (DZ+1040)           ; P3_A+
            DC      (DZ-2000)           ; P1_B-
            DC      (DZ+0400)           ; P1_B+
            DC      (DZ-2000)           ; P2_B-
            DC      (DZ+0400)           ; P2_B+
            DC      (DZ-1500)           ; P3_B-
            DC      (DZ+1120)           ; P3_B+

            DC      (DZ-0000)           ; IPC_C- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_C+
            DC      (DZ-0000)           ; IPC_D-
            DC      (DZ+1000)           ; IPC_D+
            DC      (DZ-0000)           ; RG_C-
            DC      (DZ+2400)           ; RG_C+
            DC      (DZ-0000)           ; RG_D-
            DC      (DZ+2400)           ; RG_D+
            DC      (DZ-1000)           ; SW_C-
            DC      (DZ+1000)           ; SW_C+
            DC      (DZ-1000)           ; SW_D-
            DC      (DZ+1000)           ; SW_D+
            DC      (DZ-0000)           ; TG_C-
            DC      (DZ+0000)           ; TG_C+
            DC      (DZ-0000)           ; TG_D-
            DC      (DZ+0000)           ; TG_D+
            DC      (DZ-1400)           ; S_C-
            DC      (DZ+1000)           ; S_C+
            DC      (DZ-1400)           ; S_D-
            DC      (DZ+1000)           ; S_D+
            DC      (DZ-1800)           ; P1_C-
            DC      (DZ+0500)           ; P1_C+
            DC      (DZ-1800)           ; P2_C-
            DC      (DZ+0500)           ; P2_C+
            DC      (DZ-1400)           ; P3_C-
            DC      (DZ+1340)           ; P3_C+
            DC      (DZ-1900)           ; P1_D-
            DC      (DZ+0400)           ; P1_D+
            DC      (DZ-1900)           ; P2_D-
            DC      (DZ+0400)           ; P2_D+
            DC      (DZ-1400)           ; P3_D-
            DC      (DZ+1400)           ; P3_D+

            DC      (DZ-0000)           ; IPC_E- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_E+
            DC      (DZ-0000)           ; IPC_F-
            DC      (DZ+1000)           ; IPC_F+
            DC      (DZ-0000)           ; RG_E-
            DC      (DZ+2400)           ; RG_E+
            DC      (DZ-0000)           ; RG_F-
            DC      (DZ+2400)           ; RG_F+
            DC      (DZ-1200)           ; SW_E-
            DC      (DZ+1000)           ; SW_E+
            DC      (DZ-1200)           ; SW_F-
            DC      (DZ+1000)           ; SW_F+
            DC      (DZ-0000)           ; TG_E-
            DC      (DZ+0000)           ; TG_E+
            DC      (DZ-0000)           ; TG_F-
            DC      (DZ+0000)           ; TG_F+
            DC      (DZ-1360)           ; S_E-
            DC      (DZ+1000)           ; S_E+
            DC      (DZ-1300)           ; S_F-
            DC      (DZ+1000)           ; S_F+
            DC      (DZ-1800)           ; P1_E-
            DC      (DZ+0500)           ; P1_E+
            DC      (DZ-1800)           ; P2_E-
            DC      (DZ+0500)           ; P2_E+
            DC      (DZ-1400)           ; P3_E-
            DC      (DZ+1060)           ; P3_E+
            DC      (DZ-2000)           ; P1_F-
            DC      (DZ+0400)           ; P1_F+
            DC      (DZ-2000)           ; P2_F-
            DC      (DZ+0400)           ; P2_F+
            DC      (DZ-1400)           ; P3_F-
            DC      (DZ+1400)           ; P3_F+

            DC      (DZ-0000)           ; IPC_G- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_G+
            DC      (DZ-0000)           ; IPC_H-
            DC      (DZ+1000)           ; IPC_H+
            DC      (DZ-0000)           ; RG_G-
            DC      (DZ+2400)           ; RG_G+
            DC      (DZ-0000)           ; RG_H-
            DC      (DZ+2400)           ; RG_H+
            DC      (DZ-1000)           ; SW_G-
            DC      (DZ+1000)           ; SW_G+
            DC      (DZ-1200)           ; SW_H-
            DC      (DZ+1000)           ; SW_H+
            DC      (DZ-0000)           ; TG_G-
            DC      (DZ+0000)           ; TG_G+
            DC      (DZ-0000)           ; TG_H-
            DC      (DZ+0000)           ; TG_H+
            DC      (DZ-1240)           ; S_G-
            DC      (DZ+1100)           ; S_G+
            DC      (DZ-1400)           ; S_H-
            DC      (DZ+1100)           ; S_H+
            DC      (DZ-2000)           ; P1_G-
            DC      (DZ+0100)           ; P1_G+
            DC      (DZ-2000)           ; P2_G-
            DC      (DZ+0100)           ; P2_G+
            DC      (DZ-1220)           ; P3_G-
            DC      (DZ+1220)           ; P3_G+
            DC      (DZ-1900)           ; P1_H-
            DC      (DZ+0400)           ; P1_H+
            DC      (DZ-1900)           ; P2_H-
            DC      (DZ+0400)           ; P2_H+
            DC      (DZ-1460)           ; P3_H-
            DC      (DZ+0980)           ; P3_H+
    ENDIF

    IF (SYS==31)                        ; IMACS (8x E2V CCD44-82)
            ORG     X:TSET              ;
            DC      $000404             ; $682 = - 90 degC
            DC      $0005EF             ; $651 = - 95
            DC      $000620             ; $620 = -100 $603=-103
            DC      $000603             ; $5EF = -105
            DC      $0005EF             ; $5BE = -110
            DC      $000404             ; $58C = -115
            DC      $000603             ; $55C = -120 $404=-155
            DC      $000620             ; $52B = -125 $24B=-200

            ORG     X:VBIAS
            DC      (DZ+0040)           ; OFF_A (5 mV/DN)
            DC      (DZ-0032)           ; ADJ_A
            DC      (DZ-1200)           ; OG1_A
            DC      (DZ-1000)           ; OG2_A
            DC      (DZ+0900)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+1500)           ; OFD_A
            DC      (DZ+2100)           ; OD_A
            DC      (DZ+0050)           ; OFF_B (5 mV/DN)
            DC      (DZ-0036)           ; ADJ_B
            DC      (DZ-1200)           ; OG1_B
            DC      (DZ-1000)           ; OG2_B
            DC      (DZ+0900)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+1500)           ; OFD_B
            DC      (DZ+2100)           ; OD_B

            DC      (DZ+0050)           ; OFF_C (5 mV/DN)
            DC      (DZ-0040)           ; ADJ_C
            DC      (DZ-1200)           ; OG1_C
            DC      (DZ-1000)           ; OG2_C
            DC      (DZ+0900)           ; RD_C (10 mV/DN)
            DC      (DZ+0000)           ; SP_C
            DC      (DZ+1500)           ; OFD_C
            DC      (DZ+2100)           ; OD_C
            DC      (DZ+0050)           ; OFF_D (5 mV/DN)
            DC      (DZ-0038)           ; ADJ_D
            DC      (DZ-1200)           ; OG1_D
            DC      (DZ-1000)           ; OG2_D
            DC      (DZ+0900)           ; RD_D (10 mV/DN)
            DC      (DZ+0000)           ; SP_D
            DC      (DZ+1500)           ; OFD_D
            DC      (DZ+2100)           ; OD_D

            DC      (DZ+0050)           ; OFF_E (5 mV/DN)
            DC      (DZ-0030)           ; ADJ_E
            DC      (DZ-1200)           ; OG1_E
            DC      (DZ-1000)           ; OG2_E
            DC      (DZ+0900)           ; RD_E (10 mV/DN)
            DC      (DZ+0000)           ; SP_GE
            DC      (DZ+1500)           ; OFD_E
            DC      (DZ+2100)           ; OD_E
            DC      (DZ+0050)           ; OFF_F (5 mV/DN)
            DC      (DZ-0044)           ; ADJ_F
            DC      (DZ-1200)           ; OG1_F
            DC      (DZ-1000)           ; OG2_F
            DC      (DZ+0900)           ; RD_F (10 mV/DN)
            DC      (DZ+0000)           ; SP_F
            DC      (DZ+1500)           ; OFD_F
            DC      (DZ+2100)           ; OD_F

            DC      (DZ+0056)           ; OFF_G (5 mV/DN)
            DC      (DZ-0044)           ; ADJ_G
            DC      (DZ-1200)           ; OG1_G
            DC      (DZ-1000)           ; OG2_G
            DC      (DZ+0900)           ; RD_G (10 mV/DN)
            DC      (DZ+0000)           ; SP_G
            DC      (DZ+1500)           ; OFD_G
            DC      (DZ+2100)           ; OD_G
            DC      (DZ+0050)           ; OFF_H (5 mV/DN)
            DC      (DZ-0030)           ; ADJ_H
            DC      (DZ-1200)           ; OG1_H
            DC      (DZ-1000)           ; OG2_H
            DC      (DZ+0900)           ; RD_H (10 mV/DN)
            DC      (DZ+0000)           ; SP_H
            DC      (DZ+1500)           ; OFD_H
            DC      (DZ+2100)           ; OD_H

            ORG     X:VCLK
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ-1800)           ; RG_A-
            DC      (DZ+0600)           ; RG_A+
            DC      (DZ-1800)           ; RG_B-
            DC      (DZ+0600)           ; RG_B+
            DC      (DZ-1600)           ; SW_A-
            DC      (DZ+0800)           ; SW_A+
            DC      (DZ-1600)           ; SW_B-
            DC      (DZ+0800)           ; SW_B+
            DC      (DZ-1800)           ; TG_A-
            DC      (DZ+0400)           ; TG_A+
            DC      (DZ-1800)           ; TG_B-
            DC      (DZ+0400)           ; TG_B+
            DC      (DZ-1600)           ; S_A-
            DC      (DZ+0800)           ; S_A+
            DC      (DZ-1600)           ; S_B-
            DC      (DZ+0800)           ; S_B+
            DC      (DZ-1800)           ; P1_A-
            DC      (DZ+0400)           ; P1_A+
            DC      (DZ-1800)           ; P2_A-
            DC      (DZ+0400)           ; P2_A+
            DC      (DZ-1800)           ; P3_A-
            DC      (DZ+0400)           ; P3_A+
            DC      (DZ-1800)           ; P1_B-
            DC      (DZ+0400)           ; P1_B+
            DC      (DZ-1800)           ; P2_B-
            DC      (DZ+0400)           ; P2_B+
            DC      (DZ-1800)           ; P3_B-
            DC      (DZ+0400)           ; P3_B+

            DC      (DZ-0000)           ; IPC_C- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_C+
            DC      (DZ-0000)           ; IPC_D-
            DC      (DZ+1000)           ; IPC_D+
            DC      (DZ-1800)           ; RG_C-
            DC      (DZ+0600)           ; RG_C+
            DC      (DZ-1800)           ; RG_D-
            DC      (DZ+0600)           ; RG_D+
            DC      (DZ-1600)           ; SW_C-
            DC      (DZ+0800)           ; SW_C+
            DC      (DZ-1600)           ; SW_D-
            DC      (DZ+0800)           ; SW_D+
            DC      (DZ-1800)           ; TG_C-
            DC      (DZ+0400)           ; TG_C+
            DC      (DZ-1800)           ; TG_D-
            DC      (DZ+0400)           ; TG_D+
            DC      (DZ-1600)           ; S_C-
            DC      (DZ+0800)           ; S_C+
            DC      (DZ-1600)           ; S_D-
            DC      (DZ+0800)           ; S_D+
            DC      (DZ-1800)           ; P1_C-
            DC      (DZ+0400)           ; P1_C+
            DC      (DZ-1800)           ; P2_C-
            DC      (DZ+0400)           ; P2_C+
            DC      (DZ-1800)           ; P3_C-
            DC      (DZ+0400)           ; P3_C+
            DC      (DZ-1800)           ; P1_D-
            DC      (DZ+0400)           ; P1_D+
            DC      (DZ-1800)           ; P2_D-
            DC      (DZ+0400)           ; P2_D+
            DC      (DZ-1800)           ; P3_D-
            DC      (DZ+0400)           ; P3_D+

            DC      (DZ-0000)           ; IPC_E- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_E+
            DC      (DZ-0000)           ; IPC_F-
            DC      (DZ+1000)           ; IPC_F+
            DC      (DZ-1800)           ; RG_E-
            DC      (DZ+0600)           ; RG_E+
            DC      (DZ-1800)           ; RG_F-
            DC      (DZ+0600)           ; RG_F+
            DC      (DZ-1600)           ; SW_E-
            DC      (DZ+0800)           ; SW_E+
            DC      (DZ-1600)           ; SW_F-
            DC      (DZ+0800)           ; SW_F+
            DC      (DZ-1800)           ; TG_E-
            DC      (DZ+0400)           ; TG_E+
            DC      (DZ-1800)           ; TG_F-
            DC      (DZ+0400)           ; TG_F+
            DC      (DZ-1600)           ; S_E-
            DC      (DZ+0800)           ; S_E+
            DC      (DZ-1600)           ; S_F-
            DC      (DZ+0800)           ; S_F+
            DC      (DZ-1800)           ; P1_E-
            DC      (DZ+0400)           ; P1_E+
            DC      (DZ-1800)           ; P2_E-
            DC      (DZ+0400)           ; P2_E+
            DC      (DZ-1800)           ; P3_E-
            DC      (DZ+0400)           ; P3_E+
            DC      (DZ-1800)           ; P1_F-
            DC      (DZ+0400)           ; P1_F+
            DC      (DZ-1800)           ; P2_F-
            DC      (DZ+0400)           ; P2_F+
            DC      (DZ-1800)           ; P3_F-
            DC      (DZ+0400)           ; P3_F+

            DC      (DZ-0000)           ; IPC_G- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_G+
            DC      (DZ-0000)           ; IPC_H-
            DC      (DZ+1000)           ; IPC_H+
            DC      (DZ-1800)           ; RG_G-
            DC      (DZ+0600)           ; RG_G+
            DC      (DZ-1800)           ; RG_H-
            DC      (DZ+0600)           ; RG_H+
            DC      (DZ-1600)           ; SW_G-
            DC      (DZ+0800)           ; SW_G+
            DC      (DZ-1600)           ; SW_H-
            DC      (DZ+0800)           ; SW_H+
            DC      (DZ-1800)           ; TG_G-
            DC      (DZ+0400)           ; TG_G+
            DC      (DZ-1800)           ; TG_H-
            DC      (DZ+0400)           ; TG_H+
            DC      (DZ-1600)           ; S_G-
            DC      (DZ+0800)           ; S_G+
            DC      (DZ-1600)           ; S_H-
            DC      (DZ+0800)           ; S_H+
            DC      (DZ-1800)           ; P1_G-
            DC      (DZ+0400)           ; P1_G+
            DC      (DZ-1800)           ; P2_G-
            DC      (DZ+0400)           ; P2_G+
            DC      (DZ-1800)           ; P3_G-
            DC      (DZ+0400)           ; P3_G+
            DC      (DZ-1800)           ; P1_H-
            DC      (DZ+0400)           ; P1_H+
            DC      (DZ-1800)           ; P2_H-
            DC      (DZ+0400)           ; P2_H+
            DC      (DZ-1800)           ; P3_H-
            DC      (DZ+0400)           ; P3_H+
    ENDIF


;*******************************************************************************
;   INITIALIZE X MEMORY (SEQ FRAGMENTS)
;*******************************************************************************
;        S2B   _______________  ________________ S1B
;        S3B   ______________ || _______________ S3A
;        SW    _____________ |||| ______________ S2A
;        TG    ____________ |||||| _____________ S1A
;        P1A   ___________ |||||||| ____________ RG
;        P2A   __________ |||||||||| ___________ IPC
;        P3A   _________ |||||||||||| __________ FINT+
;        P1B   ________ |||||||||||||| _________ FINT-
;        P2B   _______ |||||||||||||||| ________ FRST
;        P3B   ______ |||||||||||||||||| _______ CONVST
;                    ||||||||||||||||||||

    IF (RDMODE==$0)                 ; SITe ST-002A  MPP=PHASE_3
            ORG X:MPP               ; reset/hold state
            DC  %000000000000001001000011

            ORG X:IPCLKS            ; input clamp
            DC  %000000000000001001010011
            DC  %000000000000001001000011

            ORG X:PCLKS_RD          ; parallel transfer P2-P3-P1
            DC  %000001001000001001000011
            DC  %000011011000001001000011
            DC  %000010010000001001000011
            DC  %000010110100001001000011
            DC  %000000100100001001000011
            DC  %000000000000001001000011

            ORG X:PCLKS_FL          ; parallel flush P2-P3-P1
            DC  %000001001000001001000011
            DC  %000011011000001001000011
            DC  %000010010000001001000011
            DC  %000010110100001001000011
            DC  %000000100100001001000011
            DC  %000000000000001001000011

            ORG X:INT_L            ; reset and integrate left
            DC  %000000000000001001100011   ; RG ON  FRST ON
            DC  %000000000000001001000011   ; RG OFF
            DC  %000000000001001001000001   ; FRST OFF SW ON
            DC  %000000000001001001001001   ; FINT+ ON
            DC  %000000000001001001000001   ; FINT+ OFF
            DC  %000000000000001001000001   ; SW OFF
            DC  %000000000000001001000101   ; FINT- ON
            DC  %000000000000001001000001   ; FINT- OFF
            DC  %000000000000001001000000   ; /CONVST ON
            DC  %000000000000001001000001   ; /CONVST OFF
            DC  %000000000000001001000011   ; FRST ON

            ORG X:INT_R            ; reset and integrate right
            DC  %000000000000001001100011   ; RG ON  FRST ON
            DC  %000000000000001001000011   ; RG OFF
            DC  %000000000001001001000001   ; FRST OFF SW ON
            DC  %000000000001001001001001   ; FINT+ ON
            DC  %000000000001001001000001   ; FINT+ OFF
            DC  %000000000000001001000001   ; SW OFF
            DC  %000000000000001001000101   ; FINT- ON
            DC  %000000000000001001000001   ; FINT- OFF
            DC  %000000000000001001000000   ; /CONVST ON
            DC  %000000000000001001000001   ; /CONVST OFF
            DC  %000000000000001001000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S1-S3-S2-S1
            DC  %000000000001101101000011
            DC  %000000000001100100000011
            DC  %000000000001110110000011
            DC  %000000000001010010000011
            DC  %000000000001011011000011
            DC  %000000000001001001000011

            ORG X:SCLKS_R           ; serial shift (right=B) S1-S2-S3-S1
            DC  %000000000001011011000011
            DC  %000000000001010010000011
            DC  %000000000001110110000011
            DC  %000000000001100100000011
            DC  %000000000001101101000011
            DC  %000000000001001001000011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S1-S3-S2-S1
            DC  %000000000001101101100011
            DC  %000000000001100100100011
            DC  %000000000001110110100011
            DC  %000000000001010010100011
            DC  %000000000001011011100011
            DC  %000000000001001001000011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S1-S2-S3-S1
            DC  %000000000001011011100011
            DC  %000000000001010010100011
            DC  %000000000001110110100011
            DC  %000000000001100100100011
            DC  %000000000001101101100011
            DC  %000000000001001001000011

;           ORG X:SCLKS_FF          ; serial flush (fast) DG
;           DC  %000000000001111111100011
;           DC  %000000000001111111100011
;           DC  %000000000001111111100011
;           DC  %000000000001111111100011
;           DC  %000000000001111111100011   ; dummy code
;           DC  %000000000000001001000011   ; dummy code

            ORG X:PCLKS_FWD          ; parallel shuffle  P2-P3-P1
            DC  %000001000100001001000011               ; P1-P3-P2
            DC  %000011010100001001000011
            DC  %000010010000001001000011
            DC  %000010111000001001000011
            DC  %000000101000001001000011
            DC  %000000000000001001000011

            ORG X:PCLKS_REV          ; parallel shuffle   P1-P3-P2
            DC  %000000101000001001000011               ; P2-P3-P1
            DC  %000010111000001001000011
            DC  %000010010000001001000011
            DC  %000011010100001001000011
            DC  %000001000100001001000011
            DC  %000000000000001001000011
    ENDIF

;        S2B   _______________  ________________ S1B
;        S3B   ______________ || _______________ S3A
;        SW    _____________ |||| ______________ S2A
;        TG    ____________ |||||| _____________ S1A
;        P1A   ___________ |||||||| ____________ RG
;        P2A   __________ |||||||||| ___________ IPC
;        P3A   _________ |||||||||||| __________ FINT+
;        P1B   ________ |||||||||||||| _________ FINT-
;        P2B   _______ |||||||||||||||| ________ FRST
;        P3B   ______ |||||||||||||||||| _______ CONVST
;                    ||||||||||||||||||||

    IF (RDMODE==$1)                 ; E2V CCD44-82, non-MPP
            ORG X:MPP               ; reset/hold state
            DC  %000001001000011011000011

            ORG X:IPCLKS            ; input clamp
            DC  %000001001000011011010011
            DC  %000001001000011011000011

            ORG X:PCLKS_RD          ; parallel transfer P2-P3-P1-P2
            DC  %000011011000011011000011
            DC  %000010010000011011000011
            DC  %000010110100011011000011
            DC  %000000100100011011000011
            DC  %000001101100011011000011
            DC  %000001001000011011000011

            ORG X:PCLKS_FL          ; parallel flush P2-P3-P1-P2
            DC  %000011011000011011000011
            DC  %000010010000011011000011
            DC  %000010110100011011000011
            DC  %000000100100011011000011
            DC  %000001101100011011000011
            DC  %000001001000011011000011

            ORG X:INT_L             ; reset and integrate left
            DC  %000001001000010010100011   ; RG ON  FRST ON
            DC  %000001001000010010000011   ; RG OFF
            DC  %000001001001010010000001   ; FRST OFF SW ON
            DC  %000001001001010010001001   ; FINT+ ON
            DC  %000001001001010010000001   ; FINT+ OFF
            DC  %000001001000010010000001   ; SW OFF
            DC  %000001001000010010000101   ; FINT- ON
            DC  %000001001000010010000001   ; FINT- OFF
            DC  %000001001000010010000000   ; /CONVST ON
            DC  %000001001000010010000001   ; /CONVST OFF
            DC  %000001001000010010000011   ; FRST ON  [note: IPC !!]

            ORG X:INT_R             ; reset and integrate right
            DC  %000001001000001001100011   ; RG ON  FRST ON
            DC  %000001001000001001000011   ; RG OFF
            DC  %000001001001001001000001   ; FRST OFF SW ON
            DC  %000001001001001001001001   ; FINT+ ON
            DC  %000001001001001001000001   ; FINT+ OFF
            DC  %000001001000001001000001   ; SW OFF
            DC  %000001001000001001000101   ; FINT- ON
            DC  %000001001000001001000001   ; FINT- OFF
            DC  %000001001000001001000000   ; /CONVST ON
            DC  %000001001000001001000001   ; /CONVST OFF
            DC  %000001001000001001000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S2-S1-S3-S2
            DC  %000001001001011011010011   ; note IPC!!
            DC  %000001001001001001010011
            DC  %000001001001101101010011
            DC  %000001001001100100010011
            DC  %000001001001110110010011
            DC  %000001001001010010010011

            ORG X:SCLKS_R           ; serial shift (right=B) S1-S2-S3-S1
            DC  %000001001001011011010011
            DC  %000001001001010010010011
            DC  %000001001001110110010011
            DC  %000001001001100100010011
            DC  %000001001001101101010011
            DC  %000001001001001001010011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S2-S1-S3-S2
            DC  %000001001001011011100011
            DC  %000001001001001001100011
            DC  %000001001001101101100011
            DC  %000001001001100100100011
            DC  %000001001001110110100011
            DC  %000001001000010010000011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S1-S2-S3-S1
            DC  %000001001001011011100011
            DC  %000001001001010010100011
            DC  %000001001001110110100011
            DC  %000001001001100100100011
            DC  %000001001001101101100011
            DC  %000001001000001001000011

            ORG X:PCLKS_FWD          ; parallel shuffle P2-P3-P1-P2
            DC  %000011001100011011000011   ; P2-P1-P3-P2
            DC  %000010000100011011000011
            DC  %000010110100011011000011
            DC  %000000110000011011000011
            DC  %000001111000011011000011
            DC  %000001001000011011000011

            ORG X:PCLKS_REV          ; parallel shuffle P2-P1-P3-P2
            DC  %000001111000011011000011   ; P2-P3-P1-P2
            DC  %000000110000011011000011
            DC  %000010110100011011000011
            DC  %000010000100011011000011
            DC  %000011001100011011000011
            DC  %000001001000011011000011
    ENDIF

    IF (RDMODE==$2)                 ; MIT/LL CCID-20, non-MPP
            ORG X:MPP               ; reset/hold state
            DC  %000001001000011011000011

            ORG X:IPCLKS            ; input clamp
            DC  %000001001000011011010011
            DC  %000001001000011011000011

            ORG X:PCLKS_RD          ; parallel transfer P2-P3-P1-P2
            DC  %000011011000011011000011
            DC  %000010010000011011000011
            DC  %000010110100011011000011
            DC  %000000100100011011000011
            DC  %000001101100011011000011
            DC  %000001001000011011000011

            ORG X:PCLKS_FL          ; parallel flush P2-P3-P1-P2
            DC  %000011011000011011000011
            DC  %000010010000011011000011
            DC  %000010110100011011000011
            DC  %000000100100011011000011
            DC  %000001101100011011000011
            DC  %000001001000011011000011

            ORG X:INT_L             ; reset and integrate left
            DC  %000001001000010010100011   ; RG ON  FRST ON
            DC  %000001001000010010000011   ; RG OFF
            DC  %000001001001010010000001   ; FRST OFF SW ON
            DC  %000001001001010010001001   ; FINT+ ON
            DC  %000001001001010010000001   ; FINT+ OFF
            DC  %000001001000010010000001   ; SW OFF
            DC  %000001001000010010000101   ; FINT- ON
            DC  %000001001000010010000001   ; FINT- OFF
            DC  %000001001000010010000000   ; /CONVST ON
            DC  %000001001000010010000001   ; /CONVST OFF
            DC  %000001001000010010000011   ; FRST ON

            ORG X:INT_R             ; reset and integrate right
            DC  %000001001000001001100011   ; RG ON  FRST ON
            DC  %000001001000001001000011   ; RG OFF
            DC  %000001001001001001000001   ; FRST OFF SW ON
            DC  %000001001001001001001001   ; FINT+ ON
            DC  %000001001001001001000001   ; FINT+ OFF
            DC  %000001001000001001000001   ; SW OFF
            DC  %000001001000001001000101   ; FINT- ON
            DC  %000001001000001001000001   ; FINT- OFF
            DC  %000001001000001001000000   ; /CONVST ON
            DC  %000001001000001001000001   ; /CONVST OFF
            DC  %000001001000001001000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S2-S1-S3-S2
            DC  %000001001001011011010011
            DC  %000001001001001001010011
            DC  %000001001001101101010011
            DC  %000001001001100100010011
            DC  %000001001001110110010011
            DC  %000001001001010010010011

            ORG X:SCLKS_R           ; serial shift (right=B) S1-S2-S3-S1
            DC  %000001001001011011010011
            DC  %000001001001010010010011
            DC  %000001001001110110010011
            DC  %000001001001100100010011
            DC  %000001001001101101010011
            DC  %000001001001001001010011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S2-S1-S3-S2
            DC  %000001001001011011100011
            DC  %000001001001001001100011
            DC  %000001001001101101100011
            DC  %000001001001100100100011
            DC  %000001001001110110100011
            DC  %000001001000010010000011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S1-S2-S3-S1
            DC  %000001001001011011100011
            DC  %000001001001010010100011
            DC  %000001001001110110100011
            DC  %000001001001100100100011
            DC  %000001001001101101100011
            DC  %000001001000001001000011
    ENDIF

    IF (RDMODE==$3)                 ; E2V CCD42-20, non-MPP
            ORG X:MPP               ; reset/hold state
            DC  %000001001000011011000011

            ORG X:IPCLKS            ; input clamp
            DC  %000001001000011011010011
            DC  %000001001000011011000011

            ORG X:PCLKS_RD          ; parallel transfer P2-P3-P1-P2
            DC  %000011011000011011010011
            DC  %000010010000011011010011
            DC  %000010110100011011010011
            DC  %000000100100011011000011
            DC  %000001101100011011000011
            DC  %000001001000011011000011

            ORG X:PCLKS_FL          ; parallel flush P2-P3-P1-P2
            DC  %000011011000011011000011
            DC  %000010010000011011000011
            DC  %000010110100011011000011
            DC  %000000100100011011000011
            DC  %000001101100011011000011
            DC  %000001001000011011000011

            ORG X:INT_L             ; reset and integrate left
            DC  %000001001000010010100011   ; RG ON  FRST ON
            DC  %000001001000010010000011   ; RG OFF
            DC  %000001001001010010000001   ; FRST OFF SW ON
            DC  %000001001001010010001001   ; FINT+ ON
            DC  %000001001001010010000001   ; FINT+ OFF
            DC  %000001001000010010000001   ; SW OFF
            DC  %000001001000010010000101   ; FINT- ON
            DC  %000001001000010010000001   ; FINT- OFF
            DC  %000001001000010010000000   ; /CONVST ON
            DC  %000001001000010010000001   ; /CONVST OFF
            DC  %000001001000010010000011   ; FRST ON

            ORG X:INT_R             ; reset and integrate right
            DC  %000001001000001001100011   ; RG ON  FRST ON
            DC  %000001001000001001000011   ; RG OFF
            DC  %000001001001001001000001   ; FRST OFF SW ON
            DC  %000001001001001001001001   ; FINT+ ON
            DC  %000001001001001001000001   ; FINT+ OFF
            DC  %000001001000001001000001   ; SW OFF
            DC  %000001001000001001000101   ; FINT- ON
            DC  %000001001000001001000001   ; FINT- OFF
            DC  %000001001000001001000000   ; /CONVST ON
            DC  %000001001000001001000001   ; /CONVST OFF
            DC  %000001001000001001000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S2-S1-S3-S2
            DC  %000001001001011011010011
            DC  %000001001001001001010011
            DC  %000001001001101101010011
            DC  %000001001001100100010011
            DC  %000001001001110110010011
            DC  %000001001001010010010011

            ORG X:SCLKS_R           ; serial shift (right=B) S1-S2-S3-S1
            DC  %000001001001011011010011
            DC  %000001001001010010010011
            DC  %000001001001110110010011
            DC  %000001001001100100010011
            DC  %000001001001101101010011
            DC  %000001001001001001010011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S2-S1-S3-S2
            DC  %000001001001011011100011
            DC  %000001001001001001100011
            DC  %000001001001101101100011
            DC  %000001001001100100100011
            DC  %000001001001110110100011
            DC  %000001001000010010000011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S1-S2-S3-S1
            DC  %000001001001011011100011
            DC  %000001001001010010100011
            DC  %000001001001110110100011
            DC  %000001001001100100100011
            DC  %000001001001101101100011
            DC  %000001001000001001000011
    ENDIF


;        S2B   _______________  ________________ S1B
;        S3B   ______________ || _______________ S3A
;        SW    _____________ |||| ______________ S2A
;        TG    ____________ |||||| _____________ S1A
;        P1A   ___________ |||||||| ____________ RG
;        P2A   __________ |||||||||| ___________ IPC
;        P3A   _________ |||||||||||| __________ FINT+
;        P1B   ________ |||||||||||||| _________ FINT-
;        P2B   _______ |||||||||||||||| ________ FRST
;        P3B   ______ |||||||||||||||||| _______ CONVST
;                    ||||||||||||||||||||

    IF (RDMODE==$4)                 ; wing-chips, non-MPP
            ORG X:MPP               ; reset/hold state
            DC  %000001001000110110000011

            ORG X:IPCLKS            ; input clamp
            DC  %000001001000110110010011
            DC  %000001001000110110000011

            ORG X:PCLKS_RD          ; parallel transfer P2-P3-P1-P2
            DC  %000011011000110110000011
            DC  %000010010000110110000011
            DC  %000010110100110110000011
            DC  %000000100100110110000011
            DC  %000001101100110110000011
            DC  %000001001000110110000011

            ORG X:PCLKS_FL          ; parallel flush P2-P3-P1-P2
            DC  %000011011000110110000011
            DC  %000010010000110110000011
            DC  %000010110100110110000011
            DC  %000000100100110110000011
            DC  %000001101100110110000011
            DC  %000001001000110110000011

            ORG X:INT_L             ; reset and integrate left
            DC  %000001001000010010100011   ; RG ON  FRST ON
            DC  %000001001000010010000011   ; RG OFF
            DC  %000001001001010010000001   ; FRST OFF SW ON
            DC  %000001001001010010001001   ; FINT+ ON
            DC  %000001001001010010000001   ; FINT+ OFF
            DC  %000001001000010010000001   ; SW OFF
            DC  %000001001000010010000101   ; FINT- ON
            DC  %000001001000010010000001   ; FINT- OFF
            DC  %000001001000010010000000   ; /CONVST ON
            DC  %000001001000010010000001   ; /CONVST OFF
            DC  %000001001000010010000011   ; FRST ON

            ORG X:INT_R             ; reset and integrate right
            DC  %000001001000010010100011   ; RG ON  FRST ON
            DC  %000001001000010010000011   ; RG OFF
            DC  %000001001001010010000001   ; FRST OFF SW ON
            DC  %000001001001010010001001   ; FINT+ ON
            DC  %000001001001010010000001   ; FINT+ OFF
            DC  %000001001000010010000001   ; SW OFF
            DC  %000001001000010010000101   ; FINT- ON
            DC  %000001001000010010000001   ; FINT- OFF
            DC  %000001001000010010000000   ; /CONVST ON
            DC  %000001001000010010000001   ; /CONVST OFF
            DC  %000001001000010010000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S2-S1-S3-S2
            DC  %000001001001011011000011
            DC  %000001001001001001000011
            DC  %000001001001101101000011
            DC  %000001001001100100000011
            DC  %000001001001110110000011
            DC  %000001001001010010000011

            ORG X:SCLKS_R           ; serial shift (right=B) S2-S3-S1-S2
            DC  %000001001001110110000011
            DC  %000001001001100100000011
            DC  %000001001001101101000011
            DC  %000001001001001001000011
            DC  %000001001001011011000011
            DC  %000001001001010010000011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S2-S1-S3-S2
            DC  %000001001001011011100011
            DC  %000001001001001001100011
            DC  %000001001001101101100011
            DC  %000001001001100100100011
            DC  %000001001001110110100011
            DC  %000001001000010010000011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S2-S3-S1-S2
            DC  %000001001001110110100011
            DC  %000001001001100100100011
            DC  %000001001001101101100011
            DC  %000001001001001001100011
            DC  %000001001001011011100011
            DC  %000001001000010010000011
    ENDIF

    IF (RDMODE==$5)                 ; STA0500A 4Kx4K, 4-AMP, MPP=PHASE3
            ORG X:MPP               ; reset/hold state
            DC  %000000000000011011000011

            ORG X:IPCLKS            ; input clamp
            DC  %000000000000011011010011
            DC  %000000000000011011000011

            ORG X:PCLKS_RD          ; parallel transfer
            DC  %000000101000011011000011   ; P2-P3-P1 (lower)
            DC  %000010111010011011000011   ; P1-P3-P2 (upper)
            DC  %000010010010011011000011
            DC  %000011010110011011000011
            DC  %000001000100011011000011
            DC  %000000000000011011000011

            ORG X:PCLKS_FL          ; parallel flush
            DC  %000000101000011011000011   ; P2-P3-P1 (lower)
            DC  %000010111010011011000011   ; P1-P3-P2 (upper)
            DC  %000010010010011011000011
            DC  %000011010110011011000011
            DC  %000001000100011011000011
            DC  %000000000000011011000011

            ORG X:INT_L            ; reset and integrate left
            DC  %000000000000001001100011   ; RG ON  FRST ON
            DC  %000000000000001001000011   ; RG OFF
            DC  %000000000001001001000001   ; FRST OFF SW ON
            DC  %000000000001001001001001   ; FINT+ ON
            DC  %000000000001001001000001   ; FINT+ OFF
            DC  %000000000000001001000001   ; SW OFF
            DC  %000000000000001001000101   ; FINT- ON
            DC  %000000000000001001000001   ; FINT- OFF
            DC  %000000000000001001000000   ; /CONVST ON
            DC  %000000000000001001000001   ; /CONVST OFF
            DC  %000000000000001001000011   ; FRST ON

            ORG X:INT_R            ; reset and integrate right
            DC  %000000000000010010100011   ; RG ON  FRST ON
            DC  %000000000000010010000011   ; RG OFF
            DC  %000000000001010010000001   ; FRST OFF SW ON
            DC  %000000000001010010001001   ; FINT+ ON
            DC  %000000000001010010000001   ; FINT+ OFF
            DC  %000000000000010010000001   ; SW OFF
            DC  %000000000000010010000101   ; FINT- ON
            DC  %000000000000010010000001   ; FINT- OFF
            DC  %000000000000010010000000   ; /CONVST ON
            DC  %000000000000010010000001   ; /CONVST OFF
            DC  %000000000000010010000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S1-S3-S2-S1
            DC  %000000000001101101000011
            DC  %000000000001100100000011
            DC  %000000000001110110000011
            DC  %000000000001010010000011
            DC  %000000000001011011000011
            DC  %000000000001001001000011

            ORG X:SCLKS_R           ; serial shift (right=B) S2-S3-S1-S2
            DC  %000000000001110110000011
            DC  %000000000001100100000011
            DC  %000000000001101101000011
            DC  %000000000001001001000011
            DC  %000000000001011011000011
            DC  %000000000001010010000011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S1-S3-S2-S1
            DC  %000000000001101101100011
            DC  %000000000001100100100011
            DC  %000000000001110110100011
            DC  %000000000001010010100011
            DC  %000000000001011011100011
            DC  %000000000001001001000011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S2-S3-S1-S2
            DC  %000000000001110110100011
            DC  %000000000001100100100011
            DC  %000000000001101101100011
            DC  %000000000001001001100011
            DC  %000000000001011011100011
            DC  %000000000001010010000011

            ORG X:PCLKS_FWD          ; parallel shuffle  P2-P3-P1
            DC  %000001001000011011000011
            DC  %000011011000011011000011
            DC  %000010010000011011000011
            DC  %000010110100011011000011
            DC  %000000100100011011000011
            DC  %000000000000011011000011

            ORG X:PCLKS_REV          ; parallel shuffle   P1-P3-P2
            DC  %000000100100011011000011
            DC  %000010110100011011000011
            DC  %000010010000011011000011
            DC  %000011011000011011000011
            DC  %000001001000011011000011
            DC  %000000000000011011000011
    ENDIF

    IF (RDMODE==$6)                 ; STA510, non-MPP
            ORG X:MPP               ; reset/hold state
            DC  %000000100100110110000011

            ORG X:IPCLKS            ; input clamp
            DC  %000000100100110110010011
            DC  %000000100100110110000011

            ORG X:PCLKS_RD          ; parallel transfer P1-P3-P2-P1
            DC  %000010110100110110000011
            DC  %000010010000110110000011
            DC  %000011011000110110000011
            DC  %000001001000110110000011
            DC  %000001101100110110000011
            DC  %000000100100110110000011

            ORG X:PCLKS_FL          ; parallel flush P1-P3-P2-P1
            DC  %000010110100110110000011
            DC  %000010010000110110000011
            DC  %000011011000110110000011
            DC  %000001001000110110000011
            DC  %000001101100110110000011
            DC  %000000100100110110000011

            ORG X:INT_L             ; reset and integrate left
            DC  %000000100100010010100011   ; RG ON  FRST ON
            DC  %000000100100010010000011   ; RG OFF
            DC  %000000100101010010000001   ; FRST OFF SW ON
            DC  %000000100101010010001001   ; FINT+ ON
            DC  %000000100101010010000001   ; FINT+ OFF
            DC  %000000100100010010000001   ; SW OFF
            DC  %000000100100010010000101   ; FINT- ON
            DC  %000000100100010010000001   ; FINT- OFF
            DC  %000000100100010010000000   ; /CONVST ON
            DC  %000000100100010010000001   ; /CONVST OFF
            DC  %000000100100010010000011   ; FRST ON

            ORG X:INT_R             ; reset and integrate right
            DC  %000000100100010010100011   ; RG ON  FRST ON
            DC  %000000100100010010000011   ; RG OFF
            DC  %000000100101010010000001   ; FRST OFF SW ON
            DC  %000000100101010010001001   ; FINT+ ON
            DC  %000000100101010010000001   ; FINT+ OFF
            DC  %000000100100010010000001   ; SW OFF
            DC  %000000100100010010000101   ; FINT- ON
            DC  %000000100100010010000001   ; FINT- OFF
            DC  %000000100100010010000000   ; /CONVST ON
            DC  %000000100100010010000001   ; /CONVST OFF
            DC  %000000100100010010000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S2-S1-S3-S2
            DC  %000000100101011011000011
            DC  %000000100101001001000011
            DC  %000000100101101101000011
            DC  %000000100101100100000011
            DC  %000000100101110110000011
            DC  %000000100101010010000011

            ORG X:SCLKS_R           ; serial shift (right=B) S2-S3-S1-S2
            DC  %000000100101110110000011
            DC  %000000100101100100000011
            DC  %000000100101101101000011
            DC  %000000100101001001000011
            DC  %000000100101011011000011
            DC  %000000100101010010000011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S2-S1-S3-S2
            DC  %000000100101011011100011
            DC  %000000100101001001100011
            DC  %000000100101101101100011
            DC  %000000100101100100100011
            DC  %000000100101110110100011
            DC  %000000100100010010000011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S2-S3-S1-S2
            DC  %000000100101110110100011
            DC  %000000100101100100100011
            DC  %000000100101101101100011
            DC  %000000100101001001100011
            DC  %000000100101011011100011
            DC  %000000100100010010000011
    ENDIF

    IF (RDMODE==$7)                 ; STA0500A 4Kx4K, MPP=PHASE3, 2-AMP (upper)
            ORG X:MPP               ; reset/hold state
            DC  %000000000000011011000011

            ORG X:IPCLKS            ; input clamp
            DC  %000000000000011011010011
            DC  %000000000000011011000011

            ORG X:PCLKS_RD          ; parallel transfer
            DC  %000000100100011011000011   ; P1-P3-P2 (lower)
            DC  %000010110110011011000011   ; P1-P3-P2 (upper)
            DC  %000010010010011011000011
            DC  %000011011010011011000011
            DC  %000001001000011011000011
            DC  %000000000000011011000011

            ORG X:PCLKS_FL          ; parallel flush
            DC  %000000100100011011000011   ; P1-P3-P2 (lower)
            DC  %000010110110011011000011   ; P1-P3-P2 (upper)
            DC  %000010010010011011000011
            DC  %000011011010011011000011
            DC  %000001001000011011000011
            DC  %000000000000011011000011

            ORG X:INT_L            ; reset and integrate left
            DC  %000000000000001001100011   ; RG ON  FRST ON
            DC  %000000000000001001000011   ; RG OFF
            DC  %000000000001001001000001   ; FRST OFF SW ON
            DC  %000000000001001001001001   ; FINT+ ON
            DC  %000000000001001001000001   ; FINT+ OFF
            DC  %000000000000001001000001   ; SW OFF
            DC  %000000000000001001000101   ; FINT- ON
            DC  %000000000000001001000001   ; FINT- OFF
            DC  %000000000000001001000000   ; /CONVST ON
            DC  %000000000000001001000001   ; /CONVST OFF
            DC  %000000000000001001000011   ; FRST ON

            ORG X:INT_R            ; reset and integrate right
            DC  %000000000000010010100011   ; RG ON  FRST ON
            DC  %000000000000010010000011   ; RG OFF
            DC  %000000000001010010000001   ; FRST OFF SW ON
            DC  %000000000001010010001001   ; FINT+ ON
            DC  %000000000001010010000001   ; FINT+ OFF
            DC  %000000000000010010000001   ; SW OFF
            DC  %000000000000010010000101   ; FINT- ON
            DC  %000000000000010010000001   ; FINT- OFF
            DC  %000000000000010010000000   ; /CONVST ON
            DC  %000000000000010010000001   ; /CONVST OFF
            DC  %000000000000010010000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S1-S3-S2-S1
            DC  %000000000001101101000011
            DC  %000000000001100100000011
            DC  %000000000001110110000011
            DC  %000000000001010010000011
            DC  %000000000001011011000011
            DC  %000000000001001001000011

            ORG X:SCLKS_R           ; serial shift (right=B) S2-S3-S1-S2
            DC  %000000000001110110000011
            DC  %000000000001100100000011
            DC  %000000000001101101000011
            DC  %000000000001001001000011
            DC  %000000000001011011000011
            DC  %000000000001010010000011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S1-S3-S2-S1
            DC  %000000000001101101100011
            DC  %000000000001100100100011
            DC  %000000000001110110100011
            DC  %000000000001010010100011
            DC  %000000000001011011100011
            DC  %000000000001001001000011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S2-S3-S1-S2
            DC  %000000000001110110100011
            DC  %000000000001100100100011
            DC  %000000000001101101100011
            DC  %000000000001001001100011
            DC  %000000000001011011100011
            DC  %000000000001010010000011

            ORG X:PCLKS_FWD          ; parallel shuffle  P2-P3-P1
            DC  %000001001000011011000011
            DC  %000011011000011011000011
            DC  %000010010000011011000011
            DC  %000010110100011011000011
            DC  %000000100100011011000011
            DC  %000000000000011011000011

            ORG X:PCLKS_REV          ; parallel shuffle  P1-P3-P2
            DC  %000000100100011011000011
            DC  %000010110100011011000011
            DC  %000010010000011011000011
            DC  %000011011000011011000011
            DC  %000001001000011011000011
            DC  %000000000000011011000011
    ENDIF

    IF (RDMODE==$8)                 ; was $8 STA0500A 4Kx4K, MPP=PHASE3, 2-AMP (both)
            ORG X:MPP               ; reset/hold state
            DC  %000000000000011011000011

            ORG X:IPCLKS            ; input clamp
            DC  %000000000000011011010011
            DC  %000000000000011011000011

            ORG X:PCLKS_RD          ; parallel transfer
            DC  %000000101000011011000011   ; P2-P3-P1 (lower)
            DC  %000010111010011011000011   ; P1-P3-P2 (upper)
            DC  %000010010010011011000011   ; TG=P3
            DC  %000011010110011011000011
            DC  %000001000100011011000011
            DC  %000000000000011011000011

            ORG X:PCLKS_FL          ; parallel flush
            DC  %000000101000011011000011   ; P2-P3-P1 (lower)
            DC  %000010111010011011000011   ; P1-P3-P2 (upper)
            DC  %000010010010011011000011
            DC  %000011010110011011000011
            DC  %000001000100011011000011
            DC  %000000000000011011000011

            ORG X:INT_L            ; reset and integrate left
            DC  %000000000000001001100011   ; RG ON  FRST ON
            DC  %000000000000001001000011   ; RG OFF
            DC  %000000000001001001000001   ; FRST OFF SW ON
            DC  %000000000001001001001001   ; FINT+ ON
            DC  %000000000001001001000001   ; FINT+ OFF
            DC  %000000000000001001000001   ; SW OFF
            DC  %000000000000001001000101   ; FINT- ON
            DC  %000000000000001001000001   ; FINT- OFF
            DC  %000000000000001001000000   ; /CONVST ON
            DC  %000000000000001001000001   ; /CONVST OFF
            DC  %000000000000001001000011   ; FRST ON

            ORG X:INT_R            ; reset and integrate right
            DC  %000000000000010010100011   ; RG ON  FRST ON
            DC  %000000000000010010000011   ; RG OFF
            DC  %000000000001010010000001   ; FRST OFF SW ON
            DC  %000000000001010010001001   ; FINT+ ON
            DC  %000000000001010010000001   ; FINT+ OFF
            DC  %000000000000010010000001   ; SW OFF
            DC  %000000000000010010000101   ; FINT- ON
            DC  %000000000000010010000001   ; FINT- OFF
            DC  %000000000000010010000000   ; /CONVST ON
            DC  %000000000000010010000001   ; /CONVST OFF
            DC  %000000000000010010000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S1-S3-S2-S1
            DC  %000000000001101101010011
            DC  %000000000001100100010011
            DC  %000000000001110110010011
            DC  %000000000001010010010011
            DC  %000000000001011011010011
            DC  %000000000001001001010011

            ORG X:SCLKS_R           ; serial shift (right=B) S2-S3-S1-S2
            DC  %000000000001110110010011   ;
            DC  %000000000001100100010011
            DC  %000000000001101101010011
            DC  %000000000001001001010011
            DC  %000000000001011011010011
            DC  %000000000001010010010011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S1-S3-S2-S1
            DC  %000000000001101101100011
            DC  %000000000001100100100011
            DC  %000000000001110110100011
            DC  %000000000001010010100011
            DC  %000000000001011011100011
            DC  %000000000001001001000011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S2-S3-S1-S2
            DC  %000000000001110110100011
            DC  %000000000001100100100011
            DC  %000000000001101101100011
            DC  %000000000001001001100011
            DC  %000000000001011011100011
            DC  %000000000001010010000011

            ORG X:PCLKS_FWD          ; parallel shuffle  P2-P3-P1
            DC  %000001001000010010000011
            DC  %000011011010010010000011
            DC  %000010010010010010000011
            DC  %000010110110010010000011
            DC  %000000100100010010000011
            DC  %000000000000010010000011

            ORG X:PCLKS_REV          ; parallel shuffle   P1-P3-P2
            DC  %000000100100010010000011
            DC  %000010110110010010000011
            DC  %000010010010010010000011
            DC  %000011011010010010000011
            DC  %000001001000010010000011
            DC  %000000000000010010000011
    ENDIF

    IF (RDMODE==$88)                 ; was $8STA0500A 4Kx4K, MPP=PHASE3, 1-AMP (lower)
            ORG X:MPP               ; reset/hold state
            DC  %000000000000011011000011

            ORG X:IPCLKS            ; input clamp
            DC  %000000000000011011010011
            DC  %000000000000011011000011

            ORG X:PCLKS_RD          ; parallel transfer
            DC  %000000100100011011000011   ; P2-P3-P1 (low0r)
            DC  %000010110110011011000011   ; P2-P3-P1 (upper)
            DC  %000010010010011011000011   ; TG=P3
            DC  %000011011010011011000011
            DC  %000001001000011011000011
            DC  %000000000000011011000011

            ORG X:PCLKS_FL          ; parallel flush
            DC  %000000100100011011000011   ; P2-P3-P1 (lower)
            DC  %000010110110011011000011   ; P2-P3-P1 (upper)
            DC  %000010010010011011000011
            DC  %000011011010011011000011
            DC  %000001001000011011000011
            DC  %000000000000011011000011

            ORG X:INT_L            ; reset and integrate left
            DC  %000000000000001001100011   ; RG ON  FRST ON
            DC  %000000000000001001000011   ; RG OFF
            DC  %000000000001001001000001   ; FRST OFF SW ON
            DC  %000000000001001001001001   ; FINT+ ON
            DC  %000000000001001001000001   ; FINT+ OFF
            DC  %000000000000001001000001   ; SW OFF
            DC  %000000000000001001000101   ; FINT- ON
            DC  %000000000000001001000001   ; FINT- OFF
            DC  %000000000000001001000000   ; /CONVST ON
            DC  %000000000000001001000001   ; /CONVST OFF
            DC  %000000000000001001000011   ; FRST ON

            ORG X:INT_R            ; reset and integrate right
            DC  %000000000000010010100011   ; RG ON  FRST ON
            DC  %000000000000010010000011   ; RG OFF
            DC  %000000000001010010000001   ; FRST OFF SW ON
            DC  %000000000001010010001001   ; FINT+ ON
            DC  %000000000001010010000001   ; FINT+ OFF
            DC  %000000000000010010000001   ; SW OFF
            DC  %000000000000010010000101   ; FINT- ON
            DC  %000000000000010010000001   ; FINT- OFF
            DC  %000000000000010010000000   ; /CONVST ON
            DC  %000000000000010010000001   ; /CONVST OFF
            DC  %000000000000010010000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S1-S3-S2-S1
            DC  %000000000001101101010011
            DC  %000000000001100100010011
            DC  %000000000001110110010011
            DC  %000000000001010010010011
            DC  %000000000001011011010011
            DC  %000000000001001001010011

            ORG X:SCLKS_R           ; serial shift (right=B) S2-S3-S1-S2
            DC  %000000000001110110010011   ;
            DC  %000000000001100100010011
            DC  %000000000001101101010011
            DC  %000000000001001001010011
            DC  %000000000001011011010011
            DC  %000000000001010010010011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S1-S3-S2-S1
            DC  %000000000001101101100011
            DC  %000000000001100100100011
            DC  %000000000001110110100011
            DC  %000000000001010010100011
            DC  %000000000001011011100011
            DC  %000000000001001001000011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S2-S3-S1-S2
            DC  %000000000001110110100011
            DC  %000000000001100100100011
            DC  %000000000001101101100011
            DC  %000000000001001001100011
            DC  %000000000001011011100011
            DC  %000000000001010010000011

            ORG X:PCLKS_FWD          ; parallel shuffle  P2-P3-P1
            DC  %000001001000010010000011
            DC  %000011011010010010000011
            DC  %000010010010010010000011
            DC  %000010110110010010000011
            DC  %000000100100010010000011
            DC  %000000000000010010000011

            ORG X:PCLKS_REV          ; parallel shuffle   P1-P3-P2
            DC  %000000100100010010000011
            DC  %000010110110010010000011
            DC  %000010010010010010000011
            DC  %000011011010010010000011
            DC  %000001001000010010000011
            DC  %000000000000010010000011
    ENDIF

    IF (RDMODE==$9)                 ; STA0500A 4Kx4K, MPP=PHASE3, 1-AMP (lower)
            ORG X:MPP               ; reset/hold state
            DC  %000000000000011011000011

            ORG X:IPCLKS            ; input clamp
            DC  %000000000000011011010011
            DC  %000000000000011011000011

            ORG X:PCLKS_RD          ; parallel transfer
            DC  %000001001000011011010011   ; P2-P3-P1 (lower)
            DC  %000011011010011011010011   ; P2-P3-P1 (upper)
            DC  %000010010010011011000011   ; TG=P3
            DC  %000010110110011011000011
            DC  %000000100100011011000011
            DC  %000000000000011011000011

            ORG X:PCLKS_FL          ; parallel flush
            DC  %000001001000011011000011   ; P2-P3-P1 (lower)
            DC  %000011011010011011000011   ; P2-P3-P1 (upper)
            DC  %000010010010011011000011
            DC  %000010110110011011000011
            DC  %000000100100011011000011
            DC  %000000000000011011000011

            ORG X:INT_L            ; reset and integrate left
            DC  %000000000000001001100011   ; RG ON  FRST ON
            DC  %000000000000001001000011   ; RG OFF
            DC  %000000000001001001000001   ; FRST OFF SW ON
            DC  %000000000001001001001001   ; FINT+ ON
            DC  %000000000001001001000001   ; FINT+ OFF
            DC  %000000000000001001000001   ; SW OFF
            DC  %000000000000001001000101   ; FINT- ON
            DC  %000000000000001001000001   ; FINT- OFF
            DC  %000000000000001001000000   ; /CONVST ON
            DC  %000000000000001001000001   ; /CONVST OFF
            DC  %000000000000001001000011   ; FRST ON

            ORG X:INT_R            ; reset and integrate right
            DC  %000000000000010010100011   ; RG ON  FRST ON
            DC  %000000000000010010000011   ; RG OFF
            DC  %000000000001010010000001   ; FRST OFF SW ON
            DC  %000000000001010010001001   ; FINT+ ON
            DC  %000000000001010010000001   ; FINT+ OFF
            DC  %000000000000010010000001   ; SW OFF
            DC  %000000000000010010000101   ; FINT- ON
            DC  %000000000000010010000001   ; FINT- OFF
            DC  %000000000000010010000000   ; /CONVST ON
            DC  %000000000000010010000001   ; /CONVST OFF
            DC  %000000000000010010000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S1-S3-S2-S1
            DC  %000000000001101101010011
            DC  %000000000001100100010011
            DC  %000000000001110110010011
            DC  %000000000001010010010011
            DC  %000000000001011011010011
            DC  %000000000001001001010011

            ORG X:SCLKS_R           ; serial shift (right=B) S2-S3-S1-S2
            DC  %000000000001110110010011
            DC  %000000000001100100010011
            DC  %000000000001101101010011
            DC  %000000000001001001010011
            DC  %000000000001011011010011
            DC  %000000000001010010010011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S1-S3-S2-S1
            DC  %000000000001101101100011
            DC  %000000000001100100100011
            DC  %000000000001110110100011
            DC  %000000000001010010100011
            DC  %000000000001011011100011
            DC  %000000000001001001000011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S2-S3-S1-S2
            DC  %000000000001110110100011
            DC  %000000000001100100100011
            DC  %000000000001101101100011
            DC  %000000000001001001100011
            DC  %000000000001011011100011
            DC  %000000000001010010000011

            ORG X:PCLKS_FWD          ; parallel shuffle  P2-P3-P1
            DC  %000001001000011011000011
            DC  %000011011010011011000011
            DC  %000010010010011011000011
            DC  %000010110110011011000011
            DC  %000000100100011011000011
            DC  %000000000000011011000011

            ORG X:PCLKS_REV          ; parallel shuffle  P1-P3-P2
            DC  %000000100100011011000011
            DC  %000010110110011011000011
            DC  %000010010010011011000011
            DC  %000011011010011011000011
            DC  %000001001000011011000011
            DC  %000000000000011011000011
    ENDIF


    IF (RDMODE==$A)                 ; E2V CCD42-10, non-MPP
            ORG X:MPP               ; reset/hold state
            DC  %000000000000011011000011

            ORG X:IPCLKS            ; input clamp
            DC  %000000000000011011010011
            DC  %000000000000011011000011

            ORG X:PCLKS_RD          ; parallel transfer P3-P1-P2
            DC  %000010010000011011000011
            DC  %000010110100011011000011
            DC  %000000100100011011000011
            DC  %000001101100011011000011
            DC  %000001001000011011000011
            DC  %000000000000011011000011

            ORG X:PCLKS_FL          ; parallel flush P3-P1-P2
            DC  %000010010000011011000011
            DC  %000010110100011011000011
            DC  %000000100100011011000011
            DC  %000001101100011011000011
            DC  %000001001000011011000011
            DC  %000000000000011011000011

            ORG X:INT_L             ; reset and integrate left
            DC  %000000000000010010100011   ; RG ON  FRST ON
            DC  %000000000000010010000011   ; RG OFF
            DC  %000000000001010010000001   ; FRST OFF SW ON
            DC  %000000000001010010001001   ; FINT+ ON
            DC  %000000000001010010000001   ; FINT+ OFF
            DC  %000000000000010010000001   ; SW OFF
            DC  %000000000000010010000101   ; FINT- ON
            DC  %000000000000010010000001   ; FINT- OFF
            DC  %000000000000010010000000   ; /CONVST ON
            DC  %000000000000010010000001   ; /CONVST OFF
            DC  %000000000000010010000011   ; FRST ON

            ORG X:INT_R             ; reset and integrate right
            DC  %000000000000001001100011   ; RG ON  FRST ON
            DC  %000000000000001001000011   ; RG OFF
            DC  %000000000001001001000001   ; FRST OFF SW ON
            DC  %000000000001001001001001   ; FINT+ ON
            DC  %000000000001001001000001   ; FINT+ OFF
            DC  %000000000000001001000001   ; SW OFF
            DC  %000000000000001001000101   ; FINT- ON
            DC  %000000000000001001000001   ; FINT- OFF
            DC  %000000000000001001000000   ; /CONVST ON
            DC  %000000000000001001000001   ; /CONVST OFF
            DC  %000000000000001001000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S2-S1-S3-S2
            DC  %000000000001011011000011
            DC  %000000000001001001000011
            DC  %000000000001101101000011
            DC  %000000000001100100000011
            DC  %000000000001110110000011
            DC  %000000000001010010000011

            ORG X:SCLKS_R           ; serial shift (right=B) S1-S2-S3-S1
            DC  %000000000001011011000011
            DC  %000000000001010010000011
            DC  %000000000001110110000011
            DC  %000000000001100100000011
            DC  %000000000001101101000011
            DC  %000000000001001001000011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S2-S1-S3-S2
            DC  %000000000001011011100011
            DC  %000000000001001001100011
            DC  %000000000001101101100011
            DC  %000000000001100100100011
            DC  %000000000001110110100011
            DC  %000000000000010010000011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S1-S2-S3-S1
            DC  %000000000001011011100011
            DC  %000000000001010010100011
            DC  %000000000001110110100011
            DC  %000000000001100100100011
            DC  %000000000001101101100011
            DC  %000000000000001001000011
    ENDIF

    IF (RDMODE==$B)                  ; SITE SI-424A, MPP=phase3, 1-amp
            ORG X:MPP               ; reset/hold state
            DC  %000000000000010010000011

            ORG X:IPCLKS            ; input clamp
            DC  %000000000000010010010011
            DC  %000000000000010010000011

            ORG X:PCLKS_RD          ; parallel transfer mpp
            DC  %000000100100010010000011   ; P1-P3-P2 (lower)
            DC  %000010110110010010000011   ; P1-P3-P2 (upper)
            DC  %000010010010010010000011   ; TG=P3
            DC  %000011011010010010000011
            DC  %000001001000010010000011
            DC  %000000000000010010000011

             ORG X:PCLKS_FL          ; parallel flush
            DC  %000000100100010010000011   ; P1-P3-P2 (lower)
            DC  %000010110110010010000011   ; P1-P3-P2 (upper)
            DC  %000010010010010010000011
            DC  %000011011010010010000011
            DC  %000001001000010010000011
            DC  %000000000000010010000011

            ORG X:INT_L             ; reset and integrate left
            DC  %000000000000010010100011   ; RG ON  FRST ON
            DC  %000000000000010010000011   ; RG OFF
            DC  %000000000001010010000001   ; FRST OFF SW ON
            DC  %000000000001010010001001   ; FINT+ ON
            DC  %000000000001010010000001   ; FINT+ OFF
            DC  %000000000000010010000001   ; SW OFF
            DC  %000000000000010010000101   ; FINT- ON
            DC  %000000000000010010000001   ; FINT- OFF
            DC  %000000000000010010000000   ; /CONVST ON
            DC  %000000000000010010000001   ; /CONVST OFF
            DC  %000000000000010010000011   ; FRST ON

            ORG X:INT_R             ; reset and integrate right
            DC  %000000000000010010100011   ; RG ON  FRST ON
            DC  %000000000000010010000011   ; RG OFF
            DC  %000000000001010010000001   ; FRST OFF SW ON
            DC  %000000000001010010001001   ; FINT+ ON
            DC  %000000000001010010000001   ; FINT+ OFF
            DC  %000000000000010010000001   ; SW OFF
            DC  %000000000000010010000101   ; FINT- ON
            DC  %000000000000010010000001   ; FINT- OFF
            DC  %000000000000010010000000   ; /CONVST ON
            DC  %000000000000010010000001   ; /CONVST OFF
            DC  %000000000000010010000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S2-S1-S3-S2
            DC  %000000000001011011010011
            DC  %000000000001001001010011
            DC  %000000000001101101010011
            DC  %000000000001100100010011
            DC  %000000000001110110010011
            DC  %000000000001010010010011

            ORG X:SCLKS_R           ; serial shift (right=B) S2-S3-S1-S2
            DC  %000000000001110110010011
            DC  %000000000001100100010011
            DC  %000000000001101101010011
            DC  %000000000001001001010011
            DC  %000000000001011011010011
            DC  %000000000001010010010011

            ORG X:SCLKS_B           ; serial shift both
            DC  %000000000001011110010011   ; (left=A)  S2-S1-S3-S2
            DC  %000000000001001100010011   ; (right=B) S2-S3-S1-S2 
            DC  %000000000001101101010011
            DC  %000000000001100001010011
            DC  %000000000001110011010011
            DC  %000000000001010010010011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S2-S1-S3-S2
            DC  %000000000001011011110011
            DC  %000000000001001001110011
            DC  %000000000001101101110011
            DC  %000000000001100100110011
            DC  %000000000001110110110011
            DC  %000000000000010010010011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S2-S3-S1-S2
            DC  %000000000001110110110011
            DC  %000000000001100100110011
            DC  %000000000001101101110011
            DC  %000000000001001001110011
            DC  %000000000001011011110011
            DC  %000000000000010010010011

            ORG X:SCLKS_FLB         ; serial flush both
            DC  %000000000001110011110011   ; (left=A)  S2-S1-S3-S2
            DC  %000000000001100001110011   ; (right=B) S2-S3-S1-S2
            DC  %000000000001101101110011
            DC  %000000000001001100110011
            DC  %000000000001011110110011
            DC  %000000000000010010010011

            ORG X:PCLKS_FWD          ; parallel shuffle
            DC  %000000100100010010000011   ; P1-P3-P2 (lower)
            DC  %000010110110010010000011   ; P1-P3-P2 (upper)
            DC  %000010010010010010000011   ; TG=P3
            DC  %000011011010010010000011
            DC  %000001001000010010000011
            DC  %000000000000010010000011

            ORG X:PCLKS_REV          ; parallel shuffle  P2-P3-P1
            DC  %000001001000010010000011   ; P2-P3-P1 (lower)
            DC  %000011011010010010000011   ; P2-P3-P1 (upper)
            DC  %000010010010010010000011   ; TG=P3
            DC  %000010110110010010000011
            DC  %000000100100010010000011
            DC  %000000000000010010000011
    ENDIF

    IF (RDMODE==$C)                  ; SITE SI-424A, MPP=phase3, 1-amp, non-mpp
            ORG X:MPP               ; reset/hold state
            DC  %000001001000010010000011

            ORG X:IPCLKS            ; input clamp
            DC  %000001001000010010010011
            DC  %000001001000010010000011

            ORG X:PCLKS_RD          ; parallel transfer non-mpp
            DC  %000001101100010010000011   ; P2-P1-P3-P2 (lower)
            DC  %000000100100010010000011   ; P2-P1-P3-P2 (upper)
            DC  %000010110110010010000011   ; TG=P3
            DC  %000010010010010010000011
            DC  %000011011010010010000011
            DC  %000001001000010010000011

             ORG X:PCLKS_FL          ; parallel flush
            DC  %000001101100010010000011   ; P2-P1-P3-P2 (lower)
            DC  %000000100100010010000011   ; P2-P1-P3-P2 (upper)
            DC  %000010110110010010000011
            DC  %000010010010010010000011
            DC  %000011011010010010000011
            DC  %000001001000010010000011

;            ORG X:PCLKS_RD          ; parallel transfer non-mpp
;            DC  %000011011010010010000011   ; P2-P3-P1-P2 (lower)
;            DC  %000010010010010010000011   ; P2-P3-P1-P2 (upper)
;            DC  %000010110110010010000011   ; TG=P3
;            DC  %000000100100010010000011
;            DC  %000001101100010010000011
;            DC  %000001001000010010000011

;             ORG X:PCLKS_FL          ; parallel flush
;            DC  %000011011110010010000011   ; P2-P3-P1-P2 (lower)
;            DC  %000010010110010010000011   ; P2-P3-P1-P2 (upper)
;            DC  %000010110110010010000011
;            DC  %000000100100010010000011
;            DC  %000001101100010010000011
;            DC  %000001001000010010000011


            ORG X:INT_L             ; reset and integrate left
            DC  %000001001000010010100011   ; RG ON  FRST ON
            DC  %000001001000010010000011   ; RG OFF
            DC  %000001001001010010000001   ; FRST OFF SW ON
            DC  %000001001001010010001001   ; FINT+ ON
            DC  %000001001001010010000001   ; FINT+ OFF
            DC  %000001001000010010000001   ; SW OFF
            DC  %000001001000010010000101   ; FINT- ON
            DC  %000001001000010010000001   ; FINT- OFF
            DC  %000001001000010010000000   ; /CONVST ON
            DC  %000001001000010010000001   ; /CONVST OFF
            DC  %000001001000010010000011   ; FRST ON

            ORG X:INT_R             ; reset and integrate right
            DC  %000001001000010010100011   ; RG ON  FRST ON
            DC  %000001001000010010000011   ; RG OFF
            DC  %000001001001010010000001   ; FRST OFF SW ON
            DC  %000001001001010010001001   ; FINT+ ON
            DC  %000001001001010010000001   ; FINT+ OFF
            DC  %000001001000010010000001   ; SW OFF
            DC  %000001001000010010000101   ; FINT- ON
            DC  %000001001000010010000001   ; FINT- OFF
            DC  %000001001000010010000000   ; /CONVST ON
            DC  %000001001000010010000001   ; /CONVST OFF
            DC  %000001001000010010000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S2-S1-S3-S2
            DC  %000001001001011011000011
            DC  %000001001001001001000011
            DC  %000001001001101101000011
            DC  %000001001001100100000011
            DC  %000001001001110110000011
            DC  %000001001001010010000011

            ORG X:SCLKS_R           ; serial shift (right=B) S2-S3-S1-S2
            DC  %000001001001110110000011
            DC  %000001001001100100000011
            DC  %000001001001101101000011
            DC  %000001001001001001000011
            DC  %000001001001011011000011
            DC  %000001001001010010000011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S2-S1-S3-S2
            DC  %000001001001011011100011
            DC  %000001001001001001100011
            DC  %000001001001101101100011
            DC  %000001001001100100100011
            DC  %000001001001110110100011
            DC  %000001001000010010000011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S2-S3-S1-S2
            DC  %000001001001110110100011
            DC  %000001001001100100100011
            DC  %000001001001101101100011
            DC  %000001001001001001100011
            DC  %000001001001011011100011
            DC  %000001001000010010000011
    ENDIF

    LIST

