;*******************************************************************************
;   DEV_CCD231.ASM -- DEVICE SPECIFIC OPTIONS, CLOCKING SEQUENCES & VOLTAGES
;*******************************************************************************
    NOLIST
;******* CCD231-84 2-AMP AND 4-AMP ***************************************
    IF (SYS==22)                        ; E2V CCD231-84 2-AMP
RLMODE          EQU     $2              ; $1=2-CH $2=4-CH $3=8-CH
RDMODE          EQU     $0              ; $0=2-AMP $1=4-AMP
HOLD_P          EQU     $1F40           ; P  clock timing ($1F40=100 us)
HOLD_S          EQU     $0008           ; S  clock timing (was $6)
HOLD_FT         EQU     $1F40           ; FT clock timing ($4E20=250 us)
HOLD_FL         EQU     $1F40           ; FL clock timimg ($2EE0=150 us)
HOLD_PL         EQU     $0010           ; PL settling ($1F40=100us)
HOLD_RG         EQU     $0008           ; RG timing
HOLD_FF         EQU     $0032           ; FF clock timimg
HOLD_IPC        EQU     $0000           ; IPC clock timing
HOLD_SIG        EQU     $0010           ; SIG settling time
HOLD_ADC        EQU     $0010           ; pre-sample settling
INIT_NROWS      EQU     $848            ; $848=1024+1032+64
INIT_NCOLS      EQU     $1040           ; $1040=4096+64
INIT_NFT        EQU     $808            ; $808=1024+1032
INIT_NFLUSH     EQU     $808            ; $808=1024+1032
INIT_NCH        EQU     $2              ;
INIT_VBIN       EQU     $2              ;
INIT_HBIN       EQU     $2              ;
INIT_VSKIP      EQU     $0              ;
INIT_HSKIP      EQU     $0              ;
INIT_GAIN       EQU     $0              ;
INIT_USEC       EQU     $C8             ;
INIT_OPCH       EQU     $0              ;
INIT_HCLKS      EQU     $1              ;
INIT_TCH        EQU     $1              ; $3=TEMP_D
INIT_PID        EQU     $0              ;
    ENDIF

    IF (SYS==23)                        ; E2V CCD231-84 4-AMP
RLMODE          EQU     $2              ; $1=2-CH $2=4-CH $3=8-CH
RDMODE          EQU     $1              ; $0=2-AMP $1=4-AMP
HOLD_P          EQU     $2EE0           ; P  clock timing ($1F40=100 us)
HOLD_S          EQU     $000C           ; S  clock timing (was $6)
HOLD_FT         EQU     $2EE0           ; FT clock timing ($4E20=250 us)
HOLD_FL         EQU     $2EE0           ; FL clock timimg ($2EE0=150 us)
HOLD_PL         EQU     $1F40           ; PL settling ($1F40=100us)
HOLD_RG         EQU     $0010           ; RG timing (was $10)
HOLD_FF         EQU     $0032           ; FF clock timimg
HOLD_IPC        EQU     $0000           ; IPC clock timing
HOLD_SIG        EQU     $0010           ; SIG settling time (was $10)
HOLD_ADC        EQU     $0010           ; pre-sample settling (was $10)
INIT_NROWS      EQU     $848            ; $848=1024+1032+64
INIT_NCOLS      EQU     $840            ; $840=2048+64
INIT_NFT        EQU     $7F0            ; $808=1024+1032
INIT_NFLUSH     EQU     $804            ; $808=1024+1032
INIT_NCH        EQU     $4              ;
INIT_VBIN       EQU     $2              ;
INIT_HBIN       EQU     $2              ;
INIT_VSKIP      EQU     $0              ;
INIT_HSKIP      EQU     $0              ;
INIT_GAIN       EQU     $0              ;
INIT_USEC       EQU     $C8             ;
INIT_OPCH       EQU     $0              ;
INIT_HCLKS      EQU     $3              ;
INIT_TCH        EQU     $0              ; 0=TEMP_A, 1=TEMP_B
INIT_PID        EQU     $0              ;
    ENDIF

INIT_EXPTIME    EQU     $3E8            ;
;*******************************************************************************
;   INITIALIZE VOLTAGE VALUES (IN X MEMORY)
;*******************************************************************************
            ORG     X:TSET              ;
            DC      $000620             ; $682 = - 90 degC
            DC      $000620             ; $651 = - 95
            DC      $000620             ; $620 = -100
            DC      $000620             ; $5EF = -105
            DC      $000000             ; $5BE = -110
            DC      $000000             ; $58C = -115
            DC      $000000             ; $55C = -120
            DC      $000000             ; $52B = -125

            ORG     X:VBIAS
            DC      (DZ+0040)           ; OFF_A (5 mV/DN)
            DC      (DZ-0032)           ; ADJ_A
            DC      (DZ-1200)           ; OG1_A
            DC      (DZ-1000)           ; OG2_A
            DC      (DZ+0900)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+1500)           ; OFD_A
            DC      (DZ+2100)           ; OD_A
            DC      (DZ+0050)           ; OFF_B (5 mV/DN)
            DC      (DZ-0036)           ; ADJ_B
            DC      (DZ-1200)           ; OG1_B
            DC      (DZ-1000)           ; OG2_B
            DC      (DZ+0900)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+1500)           ; OFD_B
            DC      (DZ+2100)           ; OD_B

            DC      (DZ+0050)           ; OFF_C (5 mV/DN)
            DC      (DZ-0040)           ; ADJ_C
            DC      (DZ-1200)           ; OG1_C
            DC      (DZ-1000)           ; OG2_C
            DC      (DZ+0900)           ; RD_C (10 mV/DN)
            DC      (DZ+0000)           ; SP_C
            DC      (DZ+1500)           ; OFD_C
            DC      (DZ+2100)           ; OD_C
            DC      (DZ+0050)           ; OFF_D (5 mV/DN)
            DC      (DZ-0038)           ; ADJ_D
            DC      (DZ-1200)           ; OG1_D
            DC      (DZ-1000)           ; OG2_D
            DC      (DZ+0900)           ; RD_D (10 mV/DN)
            DC      (DZ+0000)           ; SP_D
            DC      (DZ+1500)           ; OFD_D
            DC      (DZ+2100)           ; OD_D

            ORG     X:VCLK
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ-1800)           ; RG_A-
            DC      (DZ+0600)           ; RG_A+
            DC      (DZ-1800)           ; RG_B-
            DC      (DZ+0600)           ; RG_B+
            DC      (DZ-1600)           ; SW_A-
            DC      (DZ+0800)           ; SW_A+
            DC      (DZ-1600)           ; SW_B-
            DC      (DZ+0800)           ; SW_B+
            DC      (DZ-1800)           ; TG_A-
            DC      (DZ+0400)           ; TG_A+
            DC      (DZ-1800)           ; TG_B-
            DC      (DZ+0400)           ; TG_B+
            DC      (DZ-1600)           ; S_A-
            DC      (DZ+0800)           ; S_A+
            DC      (DZ-1600)           ; S_B-
            DC      (DZ+0800)           ; S_B+
            DC      (DZ-1800)           ; P1_A-
            DC      (DZ+0400)           ; P1_A+
            DC      (DZ-1800)           ; P2_A-
            DC      (DZ+0400)           ; P2_A+
            DC      (DZ-1800)           ; P3_A-
            DC      (DZ+0400)           ; P3_A+
            DC      (DZ-1800)           ; P1_B-
            DC      (DZ+0400)           ; P1_B+
            DC      (DZ-1800)           ; P2_B-
            DC      (DZ+0400)           ; P2_B+
            DC      (DZ-1800)           ; P3_B-
            DC      (DZ+0400)           ; P3_B+

;*******************************************************************************
;   INITIALIZE SEQ FRAGMENTS (IN X MEMORY)
;*******************************************************************************
;        S2B   _______________  ________________ S1B
;        S3B   ______________ || _______________ S3A
;        SW    _____________ |||| ______________ S2A
;        TG    ____________ |||||| _____________ S1A
;    P1  P1A   ___________ |||||||| ____________ RG
;    P2  P2A   __________ |||||||||| ___________ IPC
;        P3A   _________ |||||||||||| __________ FINT+
;    P3  P1B   ________ |||||||||||||| _________ FINT-
;    P4  P2B   _______ |||||||||||||||| ________ FRST
;        P3B   ______ |||||||||||||||||| _______ CONVST
;                    ||||||||||||||||||||

    IF (RDMODE==$0)                 ; CCD231 4Kx4K, non-MPP, 2-AMP
            ORG X:MPP               ; reset/hold state
            DC  %000000101000011011000011

            ORG X:IPCLKS            ; input clamp
            DC  %000000101000011011010011
            DC  %000000101000011011000011

            ORG X:PCLKS_RD          ; parallel transfer
            DC  %000000100000011011000011   ; P2-P3-P4-P1-P2
            DC  %000001100000011011000011
            DC  %000001000000011011000011
            DC  %000001000100011011000011
            DC  %000000000100011011000011
            DC  %000000001100011011000011
            DC  %000000001000011011000011
            DC  %000000101000011011000011

            ORG X:PCLKS_FL          ; parallel flush
            DC  %000000101000011011000011   ; P1-P3-P2 (lower)
            DC  %000000101000011011000011   ; P1-P3-P2 (upper)
            DC  %000000101000011011000011
            DC  %000000101000011011000011
            DC  %000000101000011011000011
            DC  %000000101000011011000011

            ORG X:INT_L            ; reset and integrate left
            DC  %000000101000001001100011   ; RG ON  FRST ON
            DC  %000000101000001001000011   ; RG OFF
            DC  %000000101001001001000001   ; FRST OFF SW ON
            DC  %000000101001001001001001   ; FINT+ ON
            DC  %000000101001001001000001   ; FINT+ OFF
            DC  %000000101000001001000001   ; SW OFF
            DC  %000000101000001001000101   ; FINT- ON
            DC  %000000101000001001000001   ; FINT- OFF
            DC  %000000101000001001000000   ; /CONVST ON
            DC  %000000101000001001000001   ; /CONVST OFF
            DC  %000000101000001001000011   ; FRST ON

            ORG X:INT_R            ; reset and integrate right
            DC  %000000101000010010100011   ; RG ON  FRST ON
            DC  %000000101000010010000011   ; RG OFF
            DC  %000000101001010010000001   ; FRST OFF SW ON
            DC  %000000101001010010001001   ; FINT+ ON
            DC  %000000101001010010000001   ; FINT+ OFF
            DC  %000000101000010010000001   ; SW OFF
            DC  %000000101000010010000101   ; FINT- ON
            DC  %000000101000010010000001   ; FINT- OFF
            DC  %000000101000010010000000   ; /CONVST ON
            DC  %000000101000010010000001   ; /CONVST OFF
            DC  %000000101000010010000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S1-S3-S2-S1
            DC  %000000101001101101000011
            DC  %000000101001100100000011
            DC  %000000101001110110000011
            DC  %000000101001010010000011
            DC  %000000101001011011000011
            DC  %000000101001001001000011

            ORG X:SCLKS_R           ; serial shift (right=B) S2-S3-S1-S2
            DC  %000000101001110110000011
            DC  %000000101001100100000011
            DC  %000000101001101101000011
            DC  %000000101001001001000011
            DC  %000000101001011011000011
            DC  %000000101001010010000011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S1-S3-S2-S1
            DC  %000000101001101101100011
            DC  %000000101001100100100011
            DC  %000000101001110110100011
            DC  %000000101001010010100011
            DC  %000000101001011011100011
            DC  %000000101001001001000011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S2-S3-S1-S2
            DC  %000000101001110110100011
            DC  %000000101001100100100011
            DC  %000000101001101101100011
            DC  %000000101001001001100011
            DC  %000000101001011011100011
            DC  %000000101001010010000011

            ORG X:PCLKS_FWD          ; parallel shuffle  P2-P3-P1
            DC  %000000101000011011000011
            DC  %000000101000011011000011
            DC  %000000101000011011000011
            DC  %000000101000011011000011
            DC  %000000101000011011000011
            DC  %000000101000011011000011

            ORG X:PCLKS_REV          ; parallel shuffle  P1-P3-P2
            DC  %000000101000011011000011
            DC  %000000101000011011000011
            DC  %000000101000011011000011
            DC  %000000101000011011000011
            DC  %000000101000011011000011
            DC  %000000101000011011000011
    ENDIF

