;*******************************************************************************
;   DEV_*.ASM -- DEVICE SPECIFIC OPTIONS, CLOCKING SEQUENCES & VOLTAGES
;*******************************************************************************
    NOLIST
;******* IMACS MOSAIC I (SITe ST-002A) *****************************************
RLMODE          EQU     $3              ; $3=8-CH
RDMODE          EQU     $0              ; $0=normal
HOLD_P          EQU     $7D00           ; P  clock timing ($7D00=400 us)
HOLD_S          EQU     $0006           ; S  clock timing
HOLD_FT         EQU     $7D00           ; FT clock timing ($4E20=250 us)
HOLD_FL         EQU     $7D00           ; FL clock timimg
HOLD_PL         EQU     $7D00           ; PL settling ($1F40=100us)
HOLD_RG         EQU     $0006           ; RG timing
HOLD_FF         EQU     $0032           ; FF clock timimg
HOLD_IPC        EQU     $0000           ; IPC clock timing
HOLD_SIG        EQU     $0010           ; SIG settling time
HOLD_ADC        EQU     $0010           ; pre-sample settling
INIT_NROWS      EQU     $840            ; $840=2048+64
INIT_NCOLS      EQU     $440            ; $440=1024+64
INIT_NFT        EQU     $800            ; $800=2048
INIT_NFLUSH     EQU     $830            ; $840=2048+24+24
INIT_NCH        EQU     $8              ;
INIT_VBIN       EQU     $2              ;
INIT_HBIN       EQU     $2              ;
INIT_VSKIP      EQU     $0              ;
INIT_HSKIP      EQU     $18             ;
INIT_GAIN       EQU     $0              ;
INIT_USEC       EQU     $C8             ;
INIT_OPCH       EQU     $0              ;
INIT_HCLKS      EQU     $2              ;
INIT_TCH        EQU     $0              ; 0=TEMP_A, 1=TEMP_B
INIT_PID        EQU     $1              ;
INIT_EXPTIME    EQU     $3E8            ;

;*******************************************************************************
;   INITIALIZE VOLTAGE VALUES (IN X MEMORY)
;*******************************************************************************
            ORG     X:TSET              ;
            DC      $0005BE             ; $682 = - 90 degC
            DC      $0005BE             ; $651 = - 95
            DC      $0005BE             ; $620 = -100
            DC      $0005BE             ; $5EF = -105
            DC      $0005BE             ; $5BE = -110
            DC      $0005BE             ; $58C = -115
            DC      $0005BE             ; $55C = -120
            DC      $0005BE             ; $52B = -125

            ORG     X:VBIAS
            DC      (DZ-0128)           ; OFF_A (5 mV/DN)
            DC      (DZ-0320)           ; ADJ_A
            DC      (DZ-0800)           ; OG_A
            DC      (DZ+0000)           ; ABG_A
            DC      (DZ+1350)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+2000)           ; OFD_A
            DC      (DZ+2500)           ; OD_A
            DC      (DZ-0102)           ; OFF_B (5 mV/DN)
            DC      (DZ-0296)           ; ADJ_B
            DC      (DZ-0800)           ; OG_B
            DC      (DZ+0000)           ; ABG_B
            DC      (DZ+1350)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+2000)           ; OFD_B
            DC      (DZ+2500)           ; OD_B

            DC      (DZ-0096)           ; OFF_C (5 mV/DN)
            DC      (DZ-0256)           ; ADJ_C
            DC      (DZ-0700)           ; OG_C
            DC      (DZ+0000)           ; ABG_C
            DC      (DZ+1350)           ; RD_C (10 mV/DN)
            DC      (DZ+0000)           ; SP_C
            DC      (DZ+2000)           ; OFD_C
            DC      (DZ+2500)           ; OD_C
            DC      (DZ-0110)           ; OFF_D (5 mV/DN)
            DC      (DZ-0252)           ; ADJ_D
            DC      (DZ-0800)           ; OG_D
            DC      (DZ+0000)           ; ABG_D
            DC      (DZ+1500)           ; RD_D (10 mV/DN)
            DC      (DZ+0000)           ; SP_D
            DC      (DZ+1500)           ; OFD_D
            DC      (DZ+2500)           ; OD_D

            DC      (DZ-0132)           ; OFF_E (5 mV/DN)
            DC      (DZ-0306)           ; ADJ_E
            DC      (DZ-0800)           ; OG_E
            DC      (DZ+0000)           ; ABG_E
            DC      (DZ+1350)           ; RD_E (10 mV/DN)
            DC      (DZ+0000)           ; SP_GE
            DC      (DZ+2000)           ; OFD_E
            DC      (DZ+2500)           ; OD_E
            DC      (DZ-0128)           ; OFF_F (5 mV/DN)
            DC      (DZ-0280)           ; ADJ_F
            DC      (DZ-0800)           ; OG_F
            DC      (DZ+0000)           ; ABG_F
            DC      (DZ+1350)           ; RD_F (10 mV/DN)
            DC      (DZ+0000)           ; SP_F
            DC      (DZ+2000)           ; OFD_F
            DC      (DZ+2500)           ; OD_F

            DC      (DZ-0152)           ; OFF_G (5 mV/DN)
            DC      (DZ-0328)           ; ADJ_G
            DC      (DZ-0800)           ; OG_G
            DC      (DZ+0000)           ; ABG_G
            DC      (DZ+1500)           ; RD_G (10 mV/DN)
            DC      (DZ+0000)           ; SP_G
            DC      (DZ+1500)           ; OFD_G
            DC      (DZ+2500)           ; OD_G
            DC      (DZ-0120)           ; OFF_H (5 mV/DN)
            DC      (DZ-0280)           ; ADJ_H
            DC      (DZ-0800)           ; OG_H
            DC      (DZ+0000)           ; ABG_H
            DC      (DZ+1350)           ; RD_H (10 mV/DN)
            DC      (DZ+0000)           ; SP_H
            DC      (DZ+2000)           ; OFD_H
            DC      (DZ+2500)           ; OD_H

            ORG     X:VCLK
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ-0000)           ; RG_A-
            DC      (DZ+2400)           ; RG_A+
            DC      (DZ-0000)           ; RG_B-
            DC      (DZ+2400)           ; RG_B+
            DC      (DZ-1200)           ; SW_A-
            DC      (DZ+1000)           ; SW_A+
            DC      (DZ-1200)           ; SW_B-
            DC      (DZ+1000)           ; SW_B+
            DC      (DZ-0000)           ; TG_A-
            DC      (DZ+0000)           ; TG_A+
            DC      (DZ-0000)           ; TG_B-
            DC      (DZ+0000)           ; TG_B+
            DC      (DZ-1300)           ; S_A-
            DC      (DZ+1000)           ; S_A+
            DC      (DZ-1400)           ; S_B-
            DC      (DZ+1000)           ; S_B+
            DC      (DZ-1800)           ; P1_A-
            DC      (DZ+0500)           ; P1_A+
            DC      (DZ-1800)           ; P2_A-
            DC      (DZ+0500)           ; P2_A+
            DC      (DZ-1500)           ; P3_A-
            DC      (DZ+1040)           ; P3_A+
            DC      (DZ-2000)           ; P1_B-
            DC      (DZ+0400)           ; P1_B+
            DC      (DZ-2000)           ; P2_B-
            DC      (DZ+0400)           ; P2_B+
            DC      (DZ-1500)           ; P3_B-
            DC      (DZ+1120)           ; P3_B+

            DC      (DZ-0000)           ; IPC_C- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_C+
            DC      (DZ-0000)           ; IPC_D-
            DC      (DZ+1000)           ; IPC_D+
            DC      (DZ-0000)           ; RG_C-
            DC      (DZ+2400)           ; RG_C+
            DC      (DZ-0000)           ; RG_D-
            DC      (DZ+2400)           ; RG_D+
            DC      (DZ-1000)           ; SW_C-
            DC      (DZ+1000)           ; SW_C+
            DC      (DZ-1000)           ; SW_D-
            DC      (DZ+1000)           ; SW_D+
            DC      (DZ-0000)           ; TG_C-
            DC      (DZ+0000)           ; TG_C+
            DC      (DZ-0000)           ; TG_D-
            DC      (DZ+0000)           ; TG_D+
            DC      (DZ-1400)           ; S_C-
            DC      (DZ+1000)           ; S_C+
            DC      (DZ-1400)           ; S_D-
            DC      (DZ+1000)           ; S_D+
            DC      (DZ-1800)           ; P1_C-
            DC      (DZ+0500)           ; P1_C+
            DC      (DZ-1800)           ; P2_C-
            DC      (DZ+0500)           ; P2_C+
            DC      (DZ-1400)           ; P3_C-
            DC      (DZ+1340)           ; P3_C+
            DC      (DZ-1900)           ; P1_D-
            DC      (DZ+0400)           ; P1_D+
            DC      (DZ-1900)           ; P2_D-
            DC      (DZ+0400)           ; P2_D+
            DC      (DZ-1400)           ; P3_D-
            DC      (DZ+1400)           ; P3_D+

            DC      (DZ-0000)           ; IPC_E- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_E+
            DC      (DZ-0000)           ; IPC_F-
            DC      (DZ+1000)           ; IPC_F+
            DC      (DZ-0000)           ; RG_E-
            DC      (DZ+2400)           ; RG_E+
            DC      (DZ-0000)           ; RG_F-
            DC      (DZ+2400)           ; RG_F+
            DC      (DZ-1200)           ; SW_E-
            DC      (DZ+1000)           ; SW_E+
            DC      (DZ-1200)           ; SW_F-
            DC      (DZ+1000)           ; SW_F+
            DC      (DZ-0000)           ; TG_E-
            DC      (DZ+0000)           ; TG_E+
            DC      (DZ-0000)           ; TG_F-
            DC      (DZ+0000)           ; TG_F+
            DC      (DZ-1360)           ; S_E-
            DC      (DZ+1000)           ; S_E+
            DC      (DZ-1300)           ; S_F-
            DC      (DZ+1000)           ; S_F+
            DC      (DZ-1800)           ; P1_E-
            DC      (DZ+0500)           ; P1_E+
            DC      (DZ-1800)           ; P2_E-
            DC      (DZ+0500)           ; P2_E+
            DC      (DZ-1400)           ; P3_E-
            DC      (DZ+1060)           ; P3_E+
            DC      (DZ-2000)           ; P1_F-
            DC      (DZ+0400)           ; P1_F+
            DC      (DZ-2000)           ; P2_F-
            DC      (DZ+0400)           ; P2_F+
            DC      (DZ-1400)           ; P3_F-
            DC      (DZ+1400)           ; P3_F+

            DC      (DZ-0000)           ; IPC_G- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_G+
            DC      (DZ-0000)           ; IPC_H-
            DC      (DZ+1000)           ; IPC_H+
            DC      (DZ-0000)           ; RG_G-
            DC      (DZ+2400)           ; RG_G+
            DC      (DZ-0000)           ; RG_H-
            DC      (DZ+2400)           ; RG_H+
            DC      (DZ-1000)           ; SW_G-
            DC      (DZ+1000)           ; SW_G+
            DC      (DZ-1200)           ; SW_H-
            DC      (DZ+1000)           ; SW_H+
            DC      (DZ-0000)           ; TG_G-
            DC      (DZ+0000)           ; TG_G+
            DC      (DZ-0000)           ; TG_H-
            DC      (DZ+0000)           ; TG_H+
            DC      (DZ-1240)           ; S_G-
            DC      (DZ+1100)           ; S_G+
            DC      (DZ-1400)           ; S_H-
            DC      (DZ+1100)           ; S_H+
            DC      (DZ-2000)           ; P1_G-
            DC      (DZ+0100)           ; P1_G+
            DC      (DZ-2000)           ; P2_G-
            DC      (DZ+0100)           ; P2_G+
            DC      (DZ-1220)           ; P3_G-
            DC      (DZ+1220)           ; P3_G+
            DC      (DZ-1900)           ; P1_H-
            DC      (DZ+0400)           ; P1_H+
            DC      (DZ-1900)           ; P2_H-
            DC      (DZ+0400)           ; P2_H+
            DC      (DZ-1460)           ; P3_H-
            DC      (DZ+0980)           ; P3_H+

;*******************************************************************************
;   INITIALIZE SEQ FRAGMENTS (IN X MEMORY)
;*******************************************************************************
;        S2B   _______________  ________________ S1B
;        S3B   ______________ || _______________ S3A
;        SW    _____________ |||| ______________ S2A
;        TG    ____________ |||||| _____________ S1A
;        P1A   ___________ |||||||| ____________ RG
;        P2A   __________ |||||||||| ___________ IPC
;        P3A   _________ |||||||||||| __________ FINT+
;        P1B   ________ |||||||||||||| _________ FINT-
;        P2B   _______ |||||||||||||||| ________ FRST
;        P3B   ______ |||||||||||||||||| _______ CONVST
;                    ||||||||||||||||||||

    IF (RDMODE==$0)                 ; SITe ST-002A  MPP=PHASE_3
            ORG X:MPP               ; reset/hold state
            DC  %000000000000001001000011

            ORG X:IPCLKS            ; input clamp
            DC  %000000000000001001010011
            DC  %000000000000001001000011

            ORG X:PCLKS_RD          ; parallel transfer P2-P3-P1
            DC  %000001001000001001000011
            DC  %000011011000001001000011
            DC  %000010010000001001000011
            DC  %000010110100001001000011
            DC  %000000100100001001000011
            DC  %000000000000001001000011

            ORG X:PCLKS_FL          ; parallel flush P2-P3-P1
            DC  %000001001000001001000011
            DC  %000011011000001001000011
            DC  %000010010000001001000011
            DC  %000010110100001001000011
            DC  %000000100100001001000011
            DC  %000000000000001001000011

            ORG X:INT_L            ; reset and integrate left
            DC  %000000000000001001100011   ; RG ON  FRST ON
            DC  %000000000000001001000011   ; RG OFF
            DC  %000000000001001001000001   ; FRST OFF SW ON
            DC  %000000000001001001001001   ; FINT+ ON
            DC  %000000000001001001000001   ; FINT+ OFF
            DC  %000000000000001001000001   ; SW OFF
            DC  %000000000000001001000101   ; FINT- ON
            DC  %000000000000001001000001   ; FINT- OFF
            DC  %000000000000001001000000   ; /CONVST ON
            DC  %000000000000001001000001   ; /CONVST OFF
            DC  %000000000000001001000011   ; FRST ON

            ORG X:INT_R            ; reset and integrate right
            DC  %000000000000001001100011   ; RG ON  FRST ON
            DC  %000000000000001001000011   ; RG OFF
            DC  %000000000001001001000001   ; FRST OFF SW ON
            DC  %000000000001001001001001   ; FINT+ ON
            DC  %000000000001001001000001   ; FINT+ OFF
            DC  %000000000000001001000001   ; SW OFF
            DC  %000000000000001001000101   ; FINT- ON
            DC  %000000000000001001000001   ; FINT- OFF
            DC  %000000000000001001000000   ; /CONVST ON
            DC  %000000000000001001000001   ; /CONVST OFF
            DC  %000000000000001001000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S1-S3-S2-S1
            DC  %000000000001101101000011
            DC  %000000000001100100000011
            DC  %000000000001110110000011
            DC  %000000000001010010000011
            DC  %000000000001011011000011
            DC  %000000000001001001000011

            ORG X:SCLKS_R           ; serial shift (right=B) S1-S2-S3-S1
            DC  %000000000001011011000011
            DC  %000000000001010010000011
            DC  %000000000001110110000011
            DC  %000000000001100100000011
            DC  %000000000001101101000011
            DC  %000000000001001001000011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S1-S3-S2-S1
            DC  %000000000001101101100011
            DC  %000000000001100100100011
            DC  %000000000001110110100011
            DC  %000000000001010010100011
            DC  %000000000001011011100011
            DC  %000000000001001001000011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S1-S2-S3-S1
            DC  %000000000001011011100011
            DC  %000000000001010010100011
            DC  %000000000001110110100011
            DC  %000000000001100100100011
            DC  %000000000001101101100011
            DC  %000000000001001001000011

;           ORG X:SCLKS_FF          ; serial flush (fast) DG
;           DC  %000000000001111111100011
;           DC  %000000000001111111100011
;           DC  %000000000001111111100011
;           DC  %000000000001111111100011
;           DC  %000000000001111111100011   ; dummy code
;           DC  %000000000000001001000011   ; dummy code

            ORG X:PCLKS_FWD          ; parallel shuffle  P2-P3-P1
            DC  %000001000100001001000011               ; P1-P3-P2
            DC  %000011010100001001000011
            DC  %000010010000001001000011
            DC  %000010111000001001000011
            DC  %000000101000001001000011
            DC  %000000000000001001000011

            ORG X:PCLKS_REV          ; parallel shuffle   P1-P3-P2
            DC  %000000101000001001000011               ; P2-P3-P1
            DC  %000010111000001001000011
            DC  %000010010000001001000011
            DC  %000011010100001001000011
            DC  %000001000100001001000011
            DC  %000000000000001001000011
    ENDIF
