;*******************************************************************************
;   DEV_SITE2K.ASM -- DEVICE SPECIFIC OPTIONS, CLOCKING SEQUENCES & VOLTAGES
;*******************************************************************************
    NOLIST
;******* SITE2K (SI-424A) 1-AMP AND 2-AMP **************************************
    IF (SYS==10)                        ; SITE2K (SI-424A) 1-AMP
RLMODE          EQU     $1              ;
RDMODE          EQU     $0              ; $0=normal
HOLD_P          EQU     $2EE0           ; P  clock timing ($3E80=200 us)
HOLD_S          EQU     $0040           ; S  clock timing (was $40)
HOLD_FT         EQU     $2EE0           ; FT clock timing ($4E20=250 us)
HOLD_FL         EQU     $2EE0           ; FL clock timimg ($2EE0=150 us)
HOLD_PL         EQU     $0010           ; PL settling ($1F40=100us)
HOLD_RG         EQU     $0020           ; RG timing
HOLD_FF         EQU     $0032           ; FF clock timimg
HOLD_IPC        EQU     $0018           ; IPC clock timing
HOLD_SIG        EQU     $0030           ; SIG settling time (was $10)
HOLD_ADC        EQU     $0010           ; pre-sample settling
INIT_NROWS      EQU     $44C            ; $424=1024+20 [$44c=1100]
INIT_NCOLS      EQU     $4B0            ; $424=1024+20 [$4b0=1200] $258
INIT_NFT        EQU     $401            ; $401=1025 (not used)
INIT_NFLUSH     EQU     $828            ; $828=2048+40 $424=1024+20
INIT_NCH        EQU     $1              ;
INIT_VBIN       EQU     $2              ; 
INIT_HBIN       EQU     $2              ; 
INIT_VSKIP      EQU     $0              ;
INIT_HSKIP      EQU     $13             ;
INIT_GAIN       EQU     $1              ;
INIT_USEC       EQU     $C8             ;
INIT_OPCH       EQU     $0              ; $0
INIT_HCLKS      EQU     $2              ; $2 1=LEFT 2=RIGHT
INIT_TCH        EQU     $0              ; 0=TEMP_A, 1=TEMP_B
INIT_PID        EQU     $1              ;
    ENDIF

    IF (SYS==11)                        ; SITE2K (SI-424A) 2-AMP
RLMODE          EQU     $1              ;
RDMODE          EQU     $0              ; $0=normal
HOLD_P          EQU     $2E00           ; P  clock timing ($3E80=200 us)
HOLD_S          EQU     $0040           ; S  clock timing (was $6) $40
HOLD_FT         EQU     $2E00           ; FT clock timing ($4E20=250 us)
HOLD_FL         EQU     $2E00           ; FL clock timimg ($2EE0=150 us)
HOLD_PL         EQU     $0010           ; PL settling ($1F40=100us)
HOLD_RG         EQU     $0020           ; RG timing
HOLD_FF         EQU     $0032           ; FF clock timimg
HOLD_IPC        EQU     $0018           ; IPC clock timing
HOLD_SIG        EQU     $0030           ; SIG settling time (was $10)
HOLD_ADC        EQU     $0010           ; pre-sample settling
INIT_NROWS      EQU     $44C            ; $424=1024+20 [$44c=1100]
INIT_NCOLS      EQU     $258            ; $424=1024+20 [$4b0=1200] $258
INIT_NFT        EQU     $401            ; $401=1025 (not used)
INIT_NFLUSH     EQU     $828            ; $828=2048+40 $424=1024+20
INIT_NCH        EQU     $2              ;
INIT_VBIN       EQU     $2              ; 
INIT_HBIN       EQU     $2              ; 
INIT_VSKIP      EQU     $0              ;
INIT_HSKIP      EQU     $13             ;
INIT_GAIN       EQU     $1              ;
INIT_USEC       EQU     $C8             ;
INIT_OPCH       EQU     $0              ; $0
INIT_HCLKS      EQU     $3              ; 1=LEFT 2=RIGHT 3=BOTH
INIT_TCH        EQU     $0              ; 0=TEMP_A, 1=TEMP_B
INIT_PID        EQU     $1              ;
    ENDIF

INIT_EXPTIME    EQU     $3E8            ;
;*******************************************************************************
;   INITIALIZE VOLTAGE VALUES (IN X MEMORY)
;*******************************************************************************
            ORG     X:TSET              ;
            DC      $00058C             ; $682 = - 90 degC
            DC      $00058C             ; $651 = - 95
            DC      $000000             ; $620 = -100
            DC      $000000             ; $5EF = -105
            DC      $000000             ; $5BE = -110
            DC      $000000             ; $58C = -115
            DC      $000000             ; $55C = -120
            DC      $000000             ; $52B = -125

            ORG     X:VBIAS
            DC      (DZ-0040)           ; OFF_A (5 mV/DN)
            DC      (DZ-0220)           ; ADJ_A
            DC      (DZ-0700)           ; OG_A
            DC      (DZ+0000)           ; ABG_A
            DC      (DZ+1300)           ; RD_A (10 mV/DN)
            DC      (DZ+0000)           ; SP_A
            DC      (DZ+0000)           ; OFD_A
            DC      (DZ+2580)           ; OD_A
            DC      (DZ-0040)           ; OFF_B (5 mV/DN)
            DC      (DZ-0320)           ; ADJ_B
            DC      (DZ-0700)           ; OG_B
            DC      (DZ+0000)           ; ABG_B
            DC      (DZ+1300)           ; RD_B (10 mV/DN)
            DC      (DZ+0000)           ; SP_B
            DC      (DZ+0000)           ; OFD_B
            DC      (DZ+2580)           ; OD_B

            ORG     X:VCLK
            DC      (DZ-0000)           ; IPC_A- (5 mV/DN)
            DC      (DZ+1000)           ; IPC_A+
            DC      (DZ-0000)           ; IPC_B-
            DC      (DZ+1000)           ; IPC_B+
            DC      (DZ-0000)           ; RG_A-
            DC      (DZ+2400)           ; RG_A+
            DC      (DZ-0000)           ; RG_B-
            DC      (DZ+2400)           ; RG_B+
            DC      (DZ-0800)           ; SW_A-
            DC      (DZ+1400)           ; SW_A+
            DC      (DZ-0800)           ; SW_B-
            DC      (DZ+1400)           ; SW_B+
            DC      (DZ-1700)           ; TG_A-
            DC      (DZ+1500)           ; TG_A+
            DC      (DZ-1700)           ; TG_B-
            DC      (DZ+1500)           ; TG_B+
            DC      (DZ-1000)           ; S_A-
            DC      (DZ+1400)           ; S_A+
            DC      (DZ-1000)           ; S_B-
            DC      (DZ+1400)           ; S_B+
            DC      (DZ-1700)           ; P1_A-
            DC      (DZ+0900)           ; P1_A+
            DC      (DZ-1700)           ; P2_A-
            DC      (DZ+0900)           ; P2_A+
            DC      (DZ-1700)           ; P3_A-
            DC      (DZ+1500)           ; P3_A+
            DC      (DZ-1700)           ; P1_B-
            DC      (DZ+0900)           ; P1_B+
            DC      (DZ-1700)           ; P2_B-
            DC      (DZ+0900)           ; P2_B+
            DC      (DZ-1700)           ; P3_B-
            DC      (DZ+1500)           ; P3_B+

;*******************************************************************************
;   INITIALIZE SEQ FRAGMENTS (IN X MEMORY)
;*******************************************************************************
;        S2B   _______________  ________________ S1B
;        S3B   ______________ || _______________ S3A
;        SW    _____________ |||| ______________ S2A
;        TG    ____________ |||||| _____________ S1A
;        P1A   ___________ |||||||| ____________ RG
;        P2A   __________ |||||||||| ___________ IPC
;        P3A   _________ |||||||||||| __________ FINT+
;        P1B   ________ |||||||||||||| _________ FINT-
;        P2B   _______ |||||||||||||||| ________ FRST
;        P3B   ______ |||||||||||||||||| _______ CONVST
;                    ||||||||||||||||||||

    IF (RDMODE==$0)                  ; SITE SI-424A, MPP=phase3, 1-amp
            ORG X:MPP               ; reset/hold state
            DC  %000000000000010010000011

            ORG X:IPCLKS            ; input clamp
            DC  %000000000000010010010011
            DC  %000000000000010010000011

            ORG X:PCLKS_RD          ; parallel transfer mpp
            DC  %000000100100010010000011   ; P1-P3-P2 (lower)
            DC  %000010110110010010000011   ; P1-P3-P2 (upper)
            DC  %000010010010010010000011   ; TG=P3
            DC  %000011011010010010000011
            DC  %000001001000010010000011
            DC  %000000000000010010000011

             ORG X:PCLKS_FL          ; parallel flush
            DC  %000000100100010010000011   ; P1-P3-P2 (lower)
            DC  %000010110110010010000011   ; P1-P3-P2 (upper)
            DC  %000010010010010010000011
            DC  %000011011010010010000011
            DC  %000001001000010010000011
            DC  %000000000000010010000011

            ORG X:INT_L             ; reset and integrate left
            DC  %000000000000010010100011   ; RG ON  FRST ON
            DC  %000000000000010010000011   ; RG OFF
            DC  %000000000001010010000001   ; FRST OFF SW ON
            DC  %000000000001010010001001   ; FINT+ ON
            DC  %000000000001010010000001   ; FINT+ OFF
            DC  %000000000000010010000001   ; SW OFF
            DC  %000000000000010010000101   ; FINT- ON
            DC  %000000000000010010000001   ; FINT- OFF
            DC  %000000000000010010000000   ; /CONVST ON
            DC  %000000000000010010000001   ; /CONVST OFF
            DC  %000000000000010010000011   ; FRST ON

            ORG X:INT_R             ; reset and integrate right
            DC  %000000000000010010100011   ; RG ON  FRST ON
            DC  %000000000000010010000011   ; RG OFF
            DC  %000000000001010010000001   ; FRST OFF SW ON
            DC  %000000000001010010001001   ; FINT+ ON
            DC  %000000000001010010000001   ; FINT+ OFF
            DC  %000000000000010010000001   ; SW OFF
            DC  %000000000000010010000101   ; FINT- ON
            DC  %000000000000010010000001   ; FINT- OFF
            DC  %000000000000010010000000   ; /CONVST ON
            DC  %000000000000010010000001   ; /CONVST OFF
            DC  %000000000000010010000011   ; FRST ON

            ORG X:SCLKS_L           ; serial shift (left=A) S2-S1-S3-S2
            DC  %000000000001011011010011
            DC  %000000000001001001010011
            DC  %000000000001101101010011
            DC  %000000000001100100010011
            DC  %000000000001110110010011
            DC  %000000000001010010010011

            ORG X:SCLKS_R           ; serial shift (right=B) S2-S3-S1-S2
            DC  %000000000001110110010011
            DC  %000000000001100100010011
            DC  %000000000001101101010011
            DC  %000000000001001001010011
            DC  %000000000001011011010011
            DC  %000000000001010010010011

            ORG X:SCLKS_B           ; serial shift both
            DC  %000000000001011110010011   ; (left=A)  S2-S1-S3-S2
            DC  %000000000001001100010011   ; (right=B) S2-S3-S1-S2 
            DC  %000000000001101101010011
            DC  %000000000001100001010011
            DC  %000000000001110011010011
            DC  %000000000001010010010011

            ORG X:SCLKS_FLL         ; serial flush (left=A) S2-S1-S3-S2
            DC  %000000000001011011110011
            DC  %000000000001001001110011
            DC  %000000000001101101110011
            DC  %000000000001100100110011
            DC  %000000000001110110110011
            DC  %000000000000010010010011

            ORG X:SCLKS_FLR         ; serial flush (right=B) S2-S3-S1-S2
            DC  %000000000001110110110011
            DC  %000000000001100100110011
            DC  %000000000001101101110011
            DC  %000000000001001001110011
            DC  %000000000001011011110011
            DC  %000000000000010010010011

            ORG X:SCLKS_FLB         ; serial flush both
            DC  %000000000001110011110011   ; (left=A)  S2-S1-S3-S2
            DC  %000000000001100001110011   ; (right=B) S2-S3-S1-S2
            DC  %000000000001101101110011
            DC  %000000000001001100110011
            DC  %000000000001011110110011
            DC  %000000000000010010010011

            ORG X:PCLKS_FWD          ; parallel shuffle
            DC  %000000100100010010000011   ; P1-P3-P2 (lower)
            DC  %000010110110010010000011   ; P1-P3-P2 (upper)
            DC  %000010010010010010000011   ; TG=P3
            DC  %000011011010010010000011
            DC  %000001001000010010000011
            DC  %000000000000010010000011

            ORG X:PCLKS_REV          ; parallel shuffle  P2-P3-P1
            DC  %000001001000010010000011   ; P2-P3-P1 (lower)
            DC  %000011011010010010000011   ; P2-P3-P1 (upper)
            DC  %000010010010010010000011   ; TG=P3
            DC  %000010110110010010000011
            DC  %000000100100010010000011
            DC  %000000000000010010000011
    ENDIF
