/*=============== getserial.c ===============================================*/
#include <stdio.h>
#include <sys/types.h>
#include <fcntl.h>
#include <stdlib.h>
#include <string.h>
#include <sys/time.h>
#include "dspdvr.h"

/* This program accesses the dsp bootloader, which reads a DS2401 chip      *
 * containing a unique 64-bit silicon serial number. The DS2401 is soldered *
 * to the backplane -- one per ccd camera.  The 64-bit serial number is     *
 * delivered as 4 x 16-bits                                                 */

/*===== Main program ========================================================*/
main() {
    u_char cmd=0;

    int j=0, r=0, rval=0, sval=0, rc=0;
    int buf[10];

    dsp_open();
    dsp_reset();

    for (j=0; j<4; j++){
        r = dsp_clear_fifo();
        if (r==0)break;
    }

    udelay(10);
    rc = 0;

    dsp_write16(BOOT_SN);
    dsp_read16(&rval);

    for(j=0; j<4; j++){
        r = dsp_read16(&buf[j]);
        if (r>0)rc+=r;
    }

    printf("rc= %02x   SN= %04x  %04x  %04x  %04x\n", 
        rc,buf[3],buf[2],buf[1],buf[0]);

    dsp_close();
    exit(0);
}
